<?php

namespace App\Classes\Finance;
use App\Models\Finance\BankTransfer;
use App\Models\Main\Bank;
use App\Models\Sales\Customer;
use DB;

class BankTransferHelper
{
    function get_next_codes($date, $year, $branch)
    {
        $data['year_ser'] = intval(DB::table('bank_transfer_m')
                ->where('finance_year_id', $year)
                ->max('year_ser')) + 1;

        $data['month_ser'] = intval(DB::table('bank_transfer_m')
                ->where('finance_year_id', $year)
                ->max('month_ser')) + 1;

        $data['branch_ser'] = intval(DB::table('bank_transfer_m')
                ->where('branch_id', $branch)
                ->max('branch_ser')) + 1;

        return $data;
    }

    function can_edit_or_delete($id)
    {
        return true;
    }

    function generate_journal($m_id){

        $master  = BankTransfer::get_bank_transfer_m($m_id, 'en');
        $details = BankTransfer::get_bank_transfer_d($m_id, 'en');

        $items = [];

        $journal_data = array(
            'finance_year_id' => $master->finance_year_id ,
            'branch_id'       => $master->branch_id ,
            'des'             => $master->arabic_description ,
            'journal_date'    => $master->action_date ,
            'document_id'     => 0 ,
            'daily_type_id'   => $master->daily_type_id ,
            'auto_generated'  => 1 ,
            'journal_active'  => 1 ,
            'confirmed'       => 1
        );

        if ($master->daily_journal_m_id > 0){
            $journal_data['daily_journal_id'] = $master->daily_journal_m_id;
        }

        foreach ($details as $detail){
            switch ($detail->transfer_from) {
                case 1:
                    $from_account_tree = Bank::get_bank($detail->from_bank_id, 'en')->account_tree_id ?? 0;
                    $transfer_from = 'Bank';
                    break;
                case 2:
                    $from_account_tree = Customer::get_customer($detail->from_customer_id, 'en')->account_tree_id ?? 0;
                    $transfer_from = 'Customer';
                    break;
                default:
                    $from_account_tree = 0;
                    $transfer_from = '';
                    break;
            }

            switch ($detail->transfer_to) {
                case 1:
                    $to_account_tree = Bank::get_bank($detail->to_bank_id, 'en')->account_tree_id ?? 0;
                    $transfer_to = 'Bank';
                    break;
                case 2:
                    $to_account_tree = Customer::get_customer($detail->to_customer_id, 'en')->account_tree_id ?? 0;
                    $transfer_to = 'Customer';
                    break;
                default:
                    $to_account_tree = 0;
                    $transfer_to = '';
                    break;
            }
            if(  $from_account_tree == 0 ){
                return array( false ,  trans('error.From '.$transfer_from.' Account tree id not found') , '' ,[] );
            }
            if(  $to_account_tree == 0 ){
                return array( false ,  trans('error.To '.$transfer_to.' Account tree id not found') , '' ,[] );
            }


            $items[] = array(
                'account_tree_id'	=> $from_account_tree ,
                'cost_center_id'	=> $detail->cost_center_id ?? 0 ,
                'debit'				=> 0 ,
                'credit'			=> $detail->amount ,
                'description'		=> $detail->arabic_description
            );

            $items[] = array(
                'account_tree_id'	=> $to_account_tree ,
                'cost_center_id'	=> $detail->cost_center_id ?? 0 ,
                'debit'				=> $detail->amount ,
                'credit'			=> 0 ,
                'description'		=> $detail->arabic_description
            );
        }

        return (new DailyJournalHelper)->generate_journal($journal_data , $items);
    }
}
