<?php

namespace App\Classes\Finance;

use Illuminate\Support\Facades\DB;

class CustomerStatmentReportHelper
{

    public static function get_account_customer_statment($id, $lang, $params , $client_id = 0 ,$delegate_id = 0 )
    {
        if (isset($params['invoice_date']) && $params['invoice_date']){
            $params['invoice_date']                 = 'draft_invoice_date';
        }else{
            $params['invoice_date']                 = 'invoice_date' ;
        }
        $sales_query = DB::table('clearance_invoices_m')
            ->leftJoin('clearances_m','clearance_invoices_m.clearance_id','clearances_m.clearance_id')
            ->leftJoin('ports','clearances_m.port_id','ports.port_id')
            ->leftJoin('customers','clearance_invoices_m.customer_id','customers.customer_id')
            ->where('draft' , 0 )
            ->selectRaw('
                    clearance_invoices_m.invoice_id as id,
                    clearance_invoices_m.invoice_id as action_code ,
                    CASE
                        WHEN clearance_invoices_m.is_first = 1 THEN clearance_invoices_m.container_count
                        ELSE 0
                    END as container_count,

                    clearance_invoices_m.customer_id,
                    ports.port_name_'.$lang.' as port_name,
                    clearance_invoices_m.'.$params['invoice_date'].' as action_date,
                    clearance_invoices_m.total_amount as amount ,
                    clearance_invoices_m.total_amount as debit ,
                    0 as credit,
                    customers.name_'.$lang.' as customer_name,
                    concat(" ن/ " , ifnull(clearances_m.customs_declaration_number," - ") , " -م/ " , clearance_invoices_m.clearance_id , "- ب/ " , ifnull(clearances_m.shipping_policy_no," - ") ) as description ,
                    "sales" as action_type ,
                    "1" as type ,
                    "1" as sumtion
            ');
        if(isset($delegate_id) && $delegate_id > 0){
            $sales_query->where('customers.delegate_id',$delegate_id);

        }elseif(isset($id) && $id > 0){
            $sales_query->where(function($where) use($id){
                $where->where('clearance_invoices_m.customer_id',$id)
                        ->orWhere('customers.customer_main_id',$id);
            });
        }

        if(isset($params['before'])){
            $sales_query->where('clearance_invoices_m.'.$params['invoice_date'] , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $sales_query->where('clearance_invoices_m.'.$params['invoice_date'] , '>=' , $params['from']);
            $sales_query->where('clearance_invoices_m.'.$params['invoice_date'] , '<=' , $params['to'] );
        }

        $customer_status1     = $sales_query->get()->toArray();
        $sales_invoice_amount = collect($customer_status1)->sum('amount');

        //=========================================================================

        $claim_query = DB::table('clearance_invoices_claim_m')
            ->leftJoin('clearances_m','clearance_invoices_claim_m.clearance_id','clearances_m.clearance_id')
            ->leftJoin('ports','clearances_m.port_id','ports.port_id')
            ->leftJoin('customers','clearance_invoices_claim_m.customer_id','customers.customer_id')
            ->where('draft' , 0 )
            ->selectRaw('
                clearance_invoices_claim_m.invoice_id as id,
                concat("SUP-",clearance_invoices_claim_m.invoice_id) as action_code ,
                clearance_invoices_claim_m.customer_id,
                ports.port_name_'.$lang.' as port_name,
                0 as container_count ,
                clearance_invoices_claim_m.'.$params['invoice_date'].' as action_date,
                clearance_invoices_claim_m.total_amount as amount ,
                clearance_invoices_claim_m.total_amount as debit ,
                0 as credit,
                customers.name_'.$lang.' as customer_name,
                concat(" ن/ " , ifnull(clearances_m.customs_declaration_number," - ") , " -م/ " , clearance_invoices_claim_m.clearance_id , "- ب/ " , ifnull(clearances_m.shipping_policy_no," - ") ) as description ,
                "ClaimInvoice" as action_type ,
                "ClaimInvoice" as type ,
                "1" as sumtion
            ');
        if(isset($delegate_id) && $delegate_id > 0){
            $claim_query->where('customers.delegate_id',$delegate_id);

        }elseif(isset($id) && $id > 0){

            $claim_query->where(function($where) use($id){
                $where->where('clearance_invoices_claim_m.customer_id',$id)
                        ->orWhere('customers.customer_main_id',$id);
            });


            // $claim_query->where('clearance_invoices_claim_m.customer_id',$id);
        }

        if(isset($params['before'])){
            $claim_query->where('clearance_invoices_claim_m.'.$params['invoice_date'] , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $claim_query->where('clearance_invoices_claim_m.'.$params['invoice_date'] , '>=' , $params['from']);
            $claim_query->where('clearance_invoices_claim_m.'.$params['invoice_date'] , '<=' , $params['to'] );
        }

        $customer_status5     = $claim_query->get()->toArray();
        $claim_invoice_amount = collect($customer_status5)->sum('amount');

        //=========================================================================


        $customer_status3 = [];
        $sales_invoice_draft_amount = 0;
        if (isset($params['with_draft']) && $params['with_draft']){
            $sales_draft_query = DB::table('clearance_invoices_draft_m')
                ->leftJoin('clearances_m','clearance_invoices_draft_m.clearance_id','clearances_m.clearance_id')
                ->leftJoin('ports','clearances_m.port_id','ports.port_id')
                ->leftJoin('customers','clearance_invoices_draft_m.customer_id','customers.customer_id')
                ->selectRaw('
                        clearance_invoices_draft_m.invoice_id as id,
                        clearance_invoices_draft_m.invoice_id as action_code ,
                        clearance_invoices_draft_m.customer_id,
                        0 as container_count ,
                        ports.port_name_'.$lang.' as port_name,
                        clearance_invoices_draft_m.invoice_date as action_date,
                        clearance_invoices_draft_m.total_amount as amount ,
                        clearance_invoices_draft_m.total_amount as debit ,
                        0 as credit ,
                        customers.name_'.$lang.' as customer_name,
                        concat("مسودة -  ن/ " , ifnull(clearances_m.customs_declaration_number," - ") , " -م/ " , clearance_invoices_draft_m.clearance_id , "- ب/ " , ifnull(clearances_m.shipping_policy_no," - ") ) as description ,
                        "sales" as action_type ,
                        "draft" as type ,
                        "1" as sumtion
                ');
            if(isset($delegate_id) && $delegate_id > 0){
                $sales_draft_query->where('customers.delegate_id',$delegate_id);

            }elseif(isset($id) && $id > 0){

                $sales_draft_query->where(function($where) use($id){
                    $where->where('clearance_invoices_draft_m.customer_id',$id)
                            ->orWhere('customers.customer_main_id',$id);
                });


                // $sales_draft_query->where('clearance_invoices_draft_m.customer_id',$id);
            }

            if(isset($params['before'])){
                $sales_draft_query->where('clearance_invoices_draft_m.invoice_date' , '<' , $params['before'] );
            }elseif(isset($params['from']) && isset($params['to'])){
                $sales_draft_query->where('clearance_invoices_draft_m.invoice_date' , '>=' , $params['from']);
                $sales_draft_query->where('clearance_invoices_draft_m.invoice_date' , '<=' , $params['to'] );
            }

            $customer_status3     = $sales_draft_query->get()->toArray();
            $sales_invoice_draft_amount = collect($customer_status3)->sum('amount');
        }

        //=========================================================================
        $notice_credit_clearance_query = DB::table('notice_creditors_m')
            ->leftJoin('clearance_invoices_m','notice_creditors_m.invoice_m_id','clearance_invoices_m.invoice_id')
            ->leftJoin('clearances_m','clearance_invoices_m.clearance_id','clearances_m.clearance_id')
            ->leftJoin('ports','clearances_m.port_id','ports.port_id')
            ->leftJoin('customers','clearance_invoices_m.customer_id','customers.customer_id')
            ->where('notice_type_id' , 2 )
            ->selectRaw('
                    notice_creditors_m.notice_creditor_m_id  as id,
                    notice_creditors_m.notice_creditor_m_id  as action_code ,
                    clearance_invoices_m.customer_id,
                    0 as container_count ,
                    ports.port_name_'.$lang.' as port_name,
                    notice_creditors_m.invoice_date as action_date,
                    notice_creditors_m.total_with_vat as amount ,
                    0 as debit,
                    notice_creditors_m.total_with_vat as credit ,
                    customers.name_'.$lang.' as customer_name,
                    concat(" ن/ " , ifnull(clearances_m.customs_declaration_number," - ") , " -م/ " , clearance_invoices_m.clearance_id , "- ب/ " , ifnull(clearances_m.shipping_policy_no," - ") ) as description ,
                    "notice_credit_clearance" as action_type ,
                    "notice_credit_clearance" as type ,
                    "2" as sumtion
            ');
        if(isset($delegate_id) && $delegate_id > 0){
            $notice_credit_clearance_query->where('customers.delegate_id',$delegate_id);

        }elseif(isset($id) && $id > 0){
            $notice_credit_clearance_query->where(function($where) use($id){
                $where->where('clearance_invoices_m.customer_id',$id)
                        ->orWhere('customers.customer_main_id',$id);
            });

            // $notice_credit_clearance_query->where('clearance_invoices_m.customer_id',$id);
        }

        if(isset($params['before'])){
            $notice_credit_clearance_query->where('notice_creditors_m.invoice_date' , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $notice_credit_clearance_query->where('notice_creditors_m.invoice_date' , '>=' , $params['from']);
            $notice_credit_clearance_query->where('notice_creditors_m.invoice_date' , '<=' , $params['to'] );
        }

        $notice_credit_clearance     = $notice_credit_clearance_query->get()->toArray();
        $notice_credit_clearance_amount = collect($notice_credit_clearance)->sum('amount');

        //=========================================================================

        $receipt_query = DB::table('receipt_voucher_d')
            ->leftJoin('receipt_voucher_m','receipt_voucher_d.receipt_voucher_m_id','receipt_voucher_m.receipt_voucher_m_id')
            ->leftJoin('clearances_m','receipt_voucher_d.clearance_id','clearances_m.clearance_id')
            ->leftJoin('customers as c1','clearances_m.customer_id','c1.customer_id')
            ->leftJoin('customers as c2','receipt_voucher_d.customer_id','c2.customer_id')
            ->selectRaw('
                    receipt_voucher_d.receipt_voucher_m_id as id ,
                    receipt_voucher_d.receipt_voucher_m_id as action_code ,
                    receipt_voucher_m.action_date as action_date ,
                    0 as container_count ,
                    receipt_voucher_d.amount  as amount ,
                    0  as debit ,
                    receipt_voucher_d.amount  as credit ,
                    if(receipt_voucher_d.customer_id > 0 , c2.name_'.$lang.' , c1.name_'.$lang.')as customer_name ,
                    if(receipt_voucher_d.customer_id > 0 , c2.customer_id , c1.customer_id) as customer_id ,

                    receipt_voucher_d.arabic_description as description ,
                    "receipt_voucher" as action_type ,

                    "2" as type ,
                    "2" as sumtion
            ');


        if(isset($delegate_id) && $delegate_id > 0){
            $receipt_query->where(function($where) use($delegate_id){
                $where->where('c1.delegate_id',$delegate_id)
                    ->orWhere('c2.delegate_id',$delegate_id);
            });

        }elseif(isset($id) && $id > 0){

            $receipt_query->where(function($where) use($id){
                $where->where('receipt_voucher_d.customer_id',$id)
                    ->orWhere('c2.customer_main_id',$id);
            });
        }

        if(isset($params['before'])){
            $receipt_query->where('receipt_voucher_m.action_date' , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $receipt_query->where('receipt_voucher_m.action_date' , '>=' , $params['from'] );
            $receipt_query->where('receipt_voucher_m.action_date' , '<=' , $params['to'] );
        }

        $customer_status2        = $receipt_query->get()->toArray();
        $receipt_vouchers_amount = collect($customer_status2)->sum('amount');


        //=========================================================================
        $payment_query = DB::table('payment_voucher_d')
            ->leftJoin('payment_voucher_m','payment_voucher_d.payment_voucher_m_id','payment_voucher_m.payment_voucher_m_id')
            ->leftJoin('clearances_m','payment_voucher_d.clearance_id','clearances_m.clearance_id')
            ->leftJoin('customers as c1','clearances_m.customer_id','c1.customer_id')
            ->leftJoin('customers as c2','payment_voucher_d.customer_id','c2.customer_id')

            ->selectRaw('
                    payment_voucher_d.payment_voucher_m_id as id,
                    payment_voucher_d.payment_voucher_m_id as action_code,
                    payment_voucher_m.action_date as action_date,
                    0 as container_count ,
                    payment_voucher_d.amount  as amount ,
                    payment_voucher_d.amount  as debit ,
                    0 as credit ,
                    if(payment_voucher_d.customer_id > 0 , c2.name_'.$lang.' , c1.name_'.$lang.')as customer_name ,
                    if(payment_voucher_d.customer_id > 0 , c2.customer_id , c1.customer_id)as customer_id ,
                    payment_voucher_d.arabic_description as description ,
                    "payment_voucher" as action_type ,

                    "4" as type ,
                    "1" as sumtion
            ');


        if(isset($delegate_id) && $delegate_id > 0){
            $payment_query->where(function($where) use($delegate_id){
                $where->where('c1.delegate_id',$delegate_id)
                    ->orWhere('c2.delegate_id',$delegate_id);
            });
        }elseif(isset($id) && $id > 0){
            $payment_query->where(function($where) use($id){
                $where->where('payment_voucher_d.customer_id',$id)
                    ->orWhere('c2.customer_main_id',$id);
            });
        }


        if(isset($params['before'])){
            $payment_query->where('payment_voucher_m.action_date' , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $payment_query->where('payment_voucher_m.action_date' , '>=' , $params['from'] );
            $payment_query->where('payment_voucher_m.action_date' , '<=' , $params['to'] );
        }

        $customer_status4        = $payment_query->get()->toArray();
        $payment_vouchers_amount = collect($customer_status4)->sum('amount');


        //=========================================================================//

        $query = DB::table('multi_voucher_m')
            ->leftjoin('multi_voucher_d' , 'multi_voucher_d.multi_voucher_m_id' , '=' , 'multi_voucher_m.multi_voucher_m_id')
            ->leftJoin('clearances_m','multi_voucher_d.clearance_id','clearances_m.clearance_id')
            ->leftJoin('customers','multi_voucher_d.dis_customer_id','customers.customer_id')
            ->where('multi_voucher_m.multi_voucher_active',1)
            ->where('multi_voucher_d.multi_voucher_d_active',1)
            ->where('multi_voucher_d.voucher_type',1)
            ->where('dis_type' , 3)
            ->selectRaw('
                    multi_voucher_m.multi_voucher_m_id as id,
                    multi_voucher_m.multi_voucher_m_id as action_code,
                    multi_voucher_m.action_date ,
                    0 as container_count ,

                    multi_voucher_d.amount as amount ,
                    multi_voucher_d.amount as debit ,
                    0 as credit ,

                    customers.name_'.$lang.' as customer_name ,
                    customers.customer_id as customer_id ,

                    multi_voucher_d.description ,
                    "multi_voucher" as action_type ,

                    "MV" as type ,
                    "1" as sumtion
            ');

        if(isset($delegate_id) && $delegate_id > 0){
            $query->where('customers.delegate_id',$delegate_id);

        }elseif(isset($id) && $id > 0){

            $query->where(function($where) use($id){
                $where->where('multi_voucher_d.dis_customer_id',$id)
                    ->orWhere('customers.customer_main_id',$id);
            });


            // $query->where('multi_voucher_d.dis_customer_id',$id);
        }

        if(isset($params['before'])){
            $query->where('multi_voucher_m.action_date' , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $query->where('multi_voucher_m.action_date' , '>=' , $params['from'] );
            $query->where('multi_voucher_m.action_date' , '<=' , $params['to'] );
        }

        $multi_voucher_d     = $query->get()->toArray();
        $multi_voucher_d_amount = collect($multi_voucher_d)->sum('amount');

        //=========================================================================//

        $query = DB::table('multi_voucher_m')
            ->leftjoin('multi_voucher_d' , 'multi_voucher_d.multi_voucher_m_id' , '=' , 'multi_voucher_m.multi_voucher_m_id')
            ->leftJoin('clearances_m','multi_voucher_d.clearance_id','clearances_m.clearance_id')
            ->leftJoin('customers','multi_voucher_d.dis_customer_id','customers.customer_id')
            ->where('multi_voucher_m.multi_voucher_active',1)
            ->where('multi_voucher_d.multi_voucher_d_active',1)
            ->where('multi_voucher_d.voucher_type',2)
            ->where('dis_type' , 3)
            ->selectRaw('
                    multi_voucher_m.multi_voucher_m_id as id,
                    multi_voucher_m.multi_voucher_m_id as action_code,
                    multi_voucher_m.action_date ,
                    multi_voucher_d.amount as amount ,
                    0 as debit ,
                    0 as container_count ,
                    multi_voucher_d.amount as credit ,

                    customers.name_'.$lang.' as customer_name ,
                    customers.customer_id as customer_id ,

                    multi_voucher_d.description ,
                    "multi_voucher" as action_type ,

                    "MV" as type ,
                    "2" as sumtion
            ');

        if(isset($delegate_id) && $delegate_id > 0){
            $query->where('customers.delegate_id',$delegate_id);
        }elseif(isset($id) && $id > 0){
            $query->where(function($where) use($id){
                $where->where('multi_voucher_d.dis_customer_id',$id)
                    ->orWhere('customers.customer_main_id',$id);
            });
            // $query->where('multi_voucher_d.dis_customer_id',$id);
        }

        if(isset($params['before'])){
            $query->where('multi_voucher_m.action_date' , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $query->where('multi_voucher_m.action_date' , '>=' , $params['from'] );
            $query->where('multi_voucher_m.action_date' , '<=' , $params['to'] );
        }

        $multi_voucher_c        = $query->get()->toArray();
        $multi_voucher_c_amount = collect($multi_voucher_c)->sum('amount');


        //====================================================================

        $sales_trans_query = DB::table('invoices')
            ->leftJoin('customers','invoices.customer_id','customers.customer_id')
            ->selectRaw('
                    invoices.invoice_id as id,
                    invoices.invoice_id as action_code ,
                    invoices.invoice_date as action_date,
                    0 as container_count ,
                    invoices.total_with_vat as amount ,
                    invoices.total_with_vat as debit ,
                    0 as credit,
                    customers.name_'.$lang.' as customer_name,
                    invoices.customer_id as customer_id ,
                    invoices.description as description ,
                    "sales trans" as action_type ,
                    "sales trans" as type ,
                    "1" as sumtion
            ');
        if(isset($delegate_id) && $delegate_id > 0){
            $sales_trans_query->where('customers.delegate_id',$delegate_id);

        }elseif(isset($id) && $id > 0){

            $sales_trans_query->where(function($where) use($id){
                $where->where('invoices.customer_id',$id)
                    ->orWhere('customers.customer_main_id',$id);
            });


            // $sales_trans_query->where('invoices.customer_id',$id);
        }

        if(isset($params['before'])){
            $sales_trans_query->where('invoices.invoice_date' , '<' , $params['before'] );
        }elseif(isset($params['from']) && isset($params['to'])){
            $sales_trans_query->where('invoices.invoice_date' , '>=' , $params['from']);
            $sales_trans_query->where('invoices.invoice_date' , '<=' , $params['to'] );
        }

        $sales_trans     = $sales_trans_query->get()->toArray();
        $sales_trans_invoice_amount = collect($sales_trans)->sum('amount');


        //====================================================================



        if(isset($params['total'])){

            $data   =  array(
                'debit'  => $sales_invoice_amount + $payment_vouchers_amount + $multi_voucher_d_amount + $sales_invoice_draft_amount + $claim_invoice_amount + $sales_trans_invoice_amount ,
                'credit' => $receipt_vouchers_amount + $multi_voucher_c_amount + $notice_credit_clearance_amount ,
            );

            $data['total'] = $data['debit'] - $data['credit'];
            $data = (object) $data;
        }else{

            $data = array_merge(
                $customer_status1,
                $customer_status2,
                $customer_status3,
                $customer_status4,
                $customer_status5,
                $multi_voucher_d,
                $multi_voucher_c,
                $sales_trans,
                $notice_credit_clearance
            );

            $data = collect($data)->sortBy('action_date')->values()->all();

        }

        return $data;
    }
}




?>
