<?php

namespace App\Classes\Finance;

use DB;

class PurchaseVendorStatmentReportHelper
{
    public static function get_account_purchase_vendor_statment($id, $lang, $params)
    {
      
        $purchase_query = DB::table('purchases_invoice_m')
            ->leftJoin('purchases_vendors','purchases_invoice_m.purchases_vendor_id','purchases_vendors.purchases_vendor_id')
            ->where('purchases_invoice_m.purchases_vendor_id',$id)
            ->groupBy('purchases_vendors.purchases_vendor_id')
            ->selectRaw('
                    purchases_invoice_m.purchases_invoice_m_id as id,
                    purchases_vendors.purchases_vendor_id      as vendor_id,
                    purchases_invoice_m.purchases_invoice_date as action_date,
                    sum( purchases_invoice_m.total_with_vat)   as amount,
                    purchases_vendors.name_'.$lang.'           as vendor_name,
                    "1" as type ,
                    "0" as sumtion
            ');
        
            if(isset($params['before'])){
                $purchase_query->where('purchases_invoice_m.purchases_invoice_date' , '<' , $params['before'] );
            }elseif(isset($params['from']) && isset($params['to'])){
                $purchase_query->where('purchases_invoice_m.purchases_invoice_date' , '>=' , $params['from']);
                $purchase_query->where('purchases_invoice_m.purchases_invoice_date' , '<=' , $params['to'] );
            }

            $vendor_status1          = $purchase_query->get()->toArray();
            $purchase_invoice_amount = collect($vendor_status1)->sum('amount');
         
        //=========================================================================

          $receipt_query = DB::table('receipt_vouchers')
            ->leftJoin('purchases_vendors','receipt_vouchers.purchases_vendor_id','purchases_vendors.purchases_vendor_id')
            ->where('receipt_vouchers.purchases_vendor_id',$id)
            ->groupBy('purchases_vendors.purchases_vendor_id')
            ->selectRaw('
                    receipt_vouchers.receipt_voucher_id   as id,
                    purchases_vendors.purchases_vendor_id as vendor_id,
                    receipt_vouchers.action_date          as action_date,
                    sum( receipt_vouchers.amount )        as amount,
                    purchases_vendors.name_'.$lang.'      as vendor_name,
                    "2" as type ,
                    "0" as sumtion
            ');

            if(isset($params['before'])){
                $receipt_query->where('receipt_vouchers.action_date' , '<' , $params['before'] );
            }elseif(isset($params['from']) && isset($params['to'])){
                $receipt_query->where('receipt_vouchers.action_date' , '>=' , $params['from'] );
                $receipt_query->where('receipt_vouchers.action_date' , '<=' , $params['to'] );
            }

            $vendor_status2          = $receipt_query->get()->toArray();
            $receipt_vouchers_amount = collect($vendor_status2)->sum('amount');

        //=========================================================================

            $payment_query = DB::table('payment_vouchers')
                ->leftJoin('purchases_vendors','payment_vouchers.purchases_vendor_id','purchases_vendors.purchases_vendor_id')
                ->where('payment_vouchers.purchases_vendor_id',$id)
                ->groupBy('purchases_vendors.purchases_vendor_id')
                ->selectRaw('
                        payment_vouchers.payment_voucher_id   as id,
                        purchases_vendors.purchases_vendor_id as vendor_id,
                        payment_vouchers.action_date          as action_date,
                        sum( payment_vouchers.amount )        as amount,
                        purchases_vendors.name_'.$lang.'      as vendor_name,
                        "4" as type ,
                        "1" as sumtion
                ');

                if(isset($params['before'])){
                    $payment_query->where('payment_vouchers.action_date' , '<' , $params['before'] );
                }elseif(isset($params['from']) && isset($params['to'])){
                    $payment_query->where('payment_vouchers.action_date' , '>=' , $params['from'] );
                    $payment_query->where('payment_vouchers.action_date' , '<=' , $params['to'] );
                }

                $vendor_status4          = $payment_query->get()->toArray();
                $payment_vouchers_amount = collect($vendor_status4)->sum('amount');
        
         //=========================================================================

         
        if(isset($params['total'])){
            
            $data   = (object) array(
                'debit'  => $purchase_invoice_amount + $receipt_vouchers_amount , 
                'credit' => $payment_vouchers_amount ,
                'total'  => ($payment_vouchers_amount ) - ($purchase_invoice_amount + $receipt_vouchers_amount )
            );

        }else{
            $data = array_merge(
                $vendor_status1,
                $vendor_status2,
                $vendor_status4,
            );
        
        }

        return $data;

    }
}

?>