<?php
namespace App\Classes\General;

// use Closure;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Session;

class ClientIDCheck {

    protected $byInput = [
        'payment_voucher_link',
        'receipt_voucher_link',
        'print_trans_invoice',
        'export_sales_invoice' ,
        'export_notice_creditor',
        'export_notice_debtor',
        'export_expense',
        'print_quotation',
        'print_proforma_invoice',
        'print_delivery_note',
        'print_sales_invoice',
        'print_purchases_order',
        'print_purchases_note',
        'print_purchases_invoice',
        'export_clearance_invoice',
        'export_clearance_draft_invoice' ,
        'export_clearance_claim' ,
        'export_trans_invoice',
        'get_invoice_by_uuid'
    ];

    public function check( $request )
    {
        $clients    = ['new' , 'test' , 'w_db', 'trans', 's_db' , 'amwaj' , 'amwajhr' , 'am_test' , 'buraq_1' , 'buraq_2'];
        $check      = false;



        if( in_array($request->segment(1), $this->byInput ) ){
            $clientID = $request->input('clientID') ?? session()->get('clientID') ?? 0;
        }elseif($request->segment(1) == 'api'){
            $clientID = request()->header('clientID')  ;
        }else{
            $clientID = session()->get('clientID');
        }

        if ( strlen($clientID) >= 3 && in_array($clientID , $clients) ) {

            Config::set('database.connections.mysql.database' , env('DB_PREFIX').$clientID );

            switch ($clientID) {
                case 'buraq_1':
                    $other = 'buraq_1';
                    $trans_db = 'buraq_2';
                break;
                case 'buraq_2':
                    $other = 'buraq_1';
                    $trans_db = 'buraq_2';
                break;
                case 'trans':
                    $other = 'amwaj';
                    $trans_db = 'trans';
                break;
                case 'amwaj':
                    $other = 'amwaj';
                    $trans_db = 'trans';
                break;
                default:
                    $other = $clientID;
                    $trans_db = $clientID;
                break;
            }
           
            session()->put('otherDB',env('DB_PREFIX').$other );
            session()->put('trans_db',env('DB_PREFIX').$trans_db );
            Config::set('database.connections.other_mysql.database' , env('DB_PREFIX').$other );
            Config::set('database.connections.trans_db_mysql.database' , env('DB_PREFIX').$trans_db );

            try {

                DB::reconnect();
                DB::connection()->getPdo();
                
                // DB::purge();
                $check = true;

            } catch (\Exception $e) {
 
            }

        }


        return $check;



    }
}
