<?php
namespace App\Classes\General;
use DB;


class Stock
{
	public function get_stock($params){
		$query = DB::table('map_sub_categorys')
			->join('map_categorys', function($join){
                $join->on(DB::raw("find_in_set( map_categorys.category_id , map_sub_categorys.categorys)", DB::raw(''),DB::raw('')) , ">", \DB::raw("'0'"));
             })
			->leftjoin('q_stocks', function ($join) use($params) {
	            $join
	            	->on('q_stocks.category_id', '=', 'map_categorys.category_id')
	            	->on('q_stocks.sub_category_id', '=', 'map_sub_categorys.sub_category_id');

	            if(isset($params['branch'])){
	            	$join->where('branch_id' , $params['branch'] );
	            }
	        })
	        ->leftjoin('gold_price', function ($join){
	            $join->where('gold_price.active', '=', 1);
	        });
	    if(isset($params['lang'])){
	        $query->selectRaw('
	        	IFNULL(q_stocks.stock_id , 0) as stock_id , 
	        	IFNULL(q_stocks.branch_id , 0) as branch_id , 
	        	map_categorys.category_id , 
	        	map_sub_categorys.sub_category_id , 
	        	IFNULL(q_stocks.stock , 0) as stock , 
	        	IFNULL(q_stocks.purchase_cost , 0) as purchase_cost , 
	        	sub_category_title_ar as name_ar , 
	        	sub_category_title_en as name_en , 
	        	sub_category_title_'.$params['lang'].' as sub_category_title ,
	        	if(map_categorys.category_id = 18 , gold_price.18_price , if( map_categorys.category_id = 21 , gold_price.21_price , if( map_categorys.category_id = 22 , gold_price.22_price , gold_price.24_price ) ) ) as caliber_price
	        ');
	    }else{
	    	 $query->selectRaw('
	        	IFNULL(q_stocks.stock_id , 0) as stock_id , 
	        	IFNULL(q_stocks.branch_id , 0) as branch_id , 
	        	map_categorys.category_id , 
	        	map_sub_categorys.sub_category_id , 
	        	IFNULL(q_stocks.stock , 0) as stock , 
	        	IFNULL(q_stocks.purchase_cost , 0) as purchase_cost , 
	        	sub_category_title_ar as name_ar , 
	        	sub_category_title_en as name_en , 
	        	sub_category_title_en as sub_category_title ,
	        	if(map_categorys.category_id = 18 , gold_price.18_price , if( map_categorys.category_id = 21 , gold_price.21_price , if( map_categorys.category_id = 22 , gold_price.22_price , gold_price.24_price ) ) ) as caliber_price
	        ');
	    }

	    if(isset($params['category'])){
	    	$query->where('map_categorys.category_id' , $params['category'] );
	    }
	    // else{
	    // 	$query->where('map_categorys.category_id' , '<' , 25);
	    // }

	    if(isset($params['sub_category'])){
	    	$query->where('map_sub_categorys.sub_category_id' , $params['sub_category'] );
	    }

	    return $query->get();

	}

	public function update_stock($branch , $category , $sub_category , $stock , $purchase_cost , $source , $source_id ){
		if($stock == 0 ){
			return false;
		}
		$check = DB::table('q_stocks')
			->where('branch_id' , $branch)
			->where('category_id' , $category)
			->where('sub_category_id' , $sub_category)
			->first();

		if(!isset($check->stock_id)){
			DB::table('q_stocks')
				->insert( array(
					'branch_id' 		=> $branch ,
					'category_id' 		=> $category ,
					'sub_category_id' 	=> $sub_category ,
					'purchase_cost' 	=> $purchase_cost ,
					'stock' 			=> $stock 
				) );
		}else{

			if( $stock > 0){

				$old_stock 				= $check->stock * $check->purchase_cost;
				$new_stock  			= $stock * $purchase_cost ;
				$final_stock			= $check->stock  + $stock;
				$final_purchase_cost 	= ( $old_stock + $new_stock ) / $final_stock ; 

			}else{
				$final_stock 			= $check->stock + $stock;
				$final_purchase_cost	= $check->purchase_cost;
			}
			

			DB::table('q_stocks')
				->where('branch_id' , $branch)
				->where('category_id' , $category)
				->where('sub_category_id' , $sub_category)
				->update( array(
					'stock' 			=> $final_stock ,
					'purchase_cost'		=> $final_purchase_cost
				) );
		}

		DB::table('q_stock_log')
			->insert( array(
				'branch_id' 		=> $branch ,
				'category_id' 		=> $category ,
				'sub_category_id' 	=> $sub_category ,
				'purchase_cost' 	=> $purchase_cost ,
				'stock' 			=> $stock ,
				'source'			=> $source ,
				'source_id'			=> $source_id ,
				'add_user'			=> auth()->user()->id
			) );
		return true;

	}

	


	
}

?>