<?php

namespace App\Classes\General;

use App\Models\Main\ThirdParty;
use App\Models\Main\WhatsAppMessages;
use Illuminate\Support\Facades\Http;
use DB;
class WhatsAppHelper
{

    function sendMessage($params)
    {
        $params = [
            'phone'     => '+201007376260', // $params['phone']
            'type'      => 'media', // media || text
            'message'   => 'Welcome',
            'media_url' => $params['file_url'],

        ];
        $Provider = DB::table('third_party')->where('slug', 'whatsapp')
            ->where('is_installed', 1)
            ->first();

        if ($Provider) {
            $Data = json_decode($Provider->app_data);
            if ($Provider->app_name == '4whats') {
                //
                $params['instance_id']  = $Data->instance_id ?? '';
                $params['token']        = $Data->token ?? '';
                return $this->_4whats($params);
                //
            }
        }
        return ['error' => 'Provider Not Found'];
    }
    function _4whats($params)
    {
        if($this->check_has_whatsapp() == 0 ){
            return false;
        };
        $app_data = json_decode(DB::table('third_party')
        ->where('slug', 'whatsapp')
        ->where('is_installed', 1)
        ->value('app_data'));
        $SendData = [
            "phone"         => intval($params['phone']),
            "instanceid"    => $app_data['instance_id'],
            "token"         => $app_data['token'],
        ];

        if (isset($params['type']) && $params['type'] == 'media') {
            $SendData["body"]       = $params['message'];
            $SendData["filename"]   = date("Y-m-d H:i:s");
            $SendData["caption"]    = "Invoice";
            try {
                $result = Http::get('https://api.4whats.net/sendFile', $SendData);
            } catch (\Throwable $th) {
                $result = [];
            }
        } else {
            $SendData["body"]   = $params['message'];
            try {
                $result = Http::get('https://api.4whats.net/sendMessage', $SendData);
            } catch (\Throwable $th) {
                $result = [];
            }
        }

        return $result;
    }
    function wa_line($params)
    {
        if($this->check_has_whatsapp() == 0 ){
            return false;
        };
        $app_data = json_decode(DB::table('third_party')
        ->where('slug', 'whatsapp')
        ->where('is_installed', 1)
        ->value('app_data'));
        $SendData = [
            "number"        => intval($params['phone']),
            "message"       => $params['message'] ,
            "instance_id"   => $app_data->instance_id,
            "access_token"  => $app_data->access_token,
            "type"          => "text",
        ];

        if (isset($params['type'] ) && $params['type'] == 'media') {
            $SendData["type"]       = "media";
            $SendData["media_url"]  =  $params['media_url'];
        }

        // try {
            $result = Http::post('https://wh.line.sa/api/send', $SendData);
        // } catch (\Throwable $th) {
            // $result = [];
        // }

        return json_decode($result->body());
    }
    public function check_has_whatsapp()
    {
        $Provider = DB::table('third_party')
            ->where('slug', 'whatsapp')
            ->where('is_installed', 1)
            ->first();

        if ($Provider) {
            return 1;
        } else {
            return 0;
        }
    }
}
