<?php
namespace App\Classes\Sales;
use Illuminate\Support\Facades\DB;

class ClearanceHelper
{
    function get_next_codes($date, $year, $branch)
    {

        $data = [];
        return $data;
    }

    function can_edit($id)
    {
        return true;
    }

    function can_delete($id)
    {

    }
    function all_clearance_d($params){
        $query =  DB::connection('other_mysql')->table('clearances_d')
        ->leftjoin('clearances_m' , 'clearances_d.clearances_m_id' , '=' , 'clearances_m.clearance_id')
        ->leftjoin('customers' , 'customers.customer_id' , '=' , 'clearances_m.customer_id')
        ->leftjoin('trips' , 'trips.clearance_d_id' , '=' , 'clearances_d.clearances_d_id')
        ->leftjoin('wearhouse_transactions' , 'wearhouse_transactions.out_trip_id' , '=' , 'trips.trip_id')
        ->leftjoin('wearhouses' , 'wearhouses.wearhouse_id' , '=' , 'trips.to_wearhouse_id')
        ->leftjoin('drivers' , 'drivers.driver_id' , '=' , 'trips.driver_id')
        ->leftjoin('insurances' , 'clearances_m.clearance_id' , '=' , 'insurances.clearance_id')
        ->where('clearances_m.clearance_active' , 1 )
        ->groupBy('clearances_d.clearances_d_id')
        ->selectRaw('
            clearances_d.clearances_d_id as d_id ,
            clearances_d.clearances_m_id as m_id ,
            clearances_m.customer_id ,
            customers.name_'.$params['lang'].' as customer_name,
            IF(trips.trip_type = 1, drivers.driver_name_'.$params['lang'].' , NULL) as in_driver,
            IF(trips.trip_type = 2, drivers.driver_name_'.$params['lang'].' , NULL) as out_driver,
            trips.trip_date ,
            wearhouse_transactions.out_date ,
            trips.to_wearhouse_id ,
            wearhouses.wearhouse_name_'.$params['lang'].' as wearhouse_name ,
            clearances_d.container_size ,
            clearances_d.container_number ,
            clearances_m.clearance_id ,
            clearances_d.archive_id ,
            insurances.insurance_id,
            clearances_d.recommended_return_date,
            clearances_d.return_date,
            clearances_d.is_hold ,
            clearances_d.return_file
        ');


    if(isset($params['agent_id']) && $params['agent_id'] > 0 )
        $query->where('insurances.agent_id' ,$params['agent_id'] );

    if(isset($params['customer_id']) && $params['customer_id'] > 0 )
        $query->where('clearances_m.customer_id' ,$params['customer_id'] );

    if(isset($params['from_date']))
        $query->where('clearances_d.return_date' , '>=' , $params['from_date'] );

    if(isset($params['to_date']))
        $query->where('clearances_d.return_date' , '<=' , $params['to_date'] );

    if(isset($params['word']) && strlen($params['word']) >  0){

        $query->where(function ($stmt) use($params) {
            $stmt->where('customers.name_en' , 'LIKE' , "%{$params['word']}%")
                ->orWhere('customers.name_ar' , 'LIKE' , "%{$params['word']}%")
                ->orWhere('clearances_m.clearance_id' , 'LIKE' , "%{$params['word']}%" )
                ->orWhere('clearances_d.container_number' , 'LIKE' , "%{$params['word']}%" )
                ->orWhere('clearances_m.shipping_policy_no' , 'LIKE' , "%{$params['word']}%" );

        });

    }

    if(isset($params['rows'])){
        $data = $query->paginate($params['rows'], ['*'], 'page', $params['page'] ?? 1);
    }else{
        $data = $query->get();
    }
    return $data;
    }
    function returned_clearance_report($params){
        $query =  DB::connection('other_mysql')->table('clearances_d')
        ->leftjoin('clearances_m' , 'clearances_d.clearances_m_id' , '=' , 'clearances_m.clearance_id')
        ->leftjoin('customers' , 'customers.customer_id' , '=' , 'clearances_m.customer_id')
        ->leftjoin('trips' , 'trips.clearance_d_id' , '=' , 'clearances_d.clearances_d_id')
        ->leftjoin('wearhouse_transactions' , 'wearhouse_transactions.out_trip_id' , '=' , 'trips.trip_id')
        ->leftjoin('wearhouses' , 'wearhouses.wearhouse_id' , '=' , 'trips.to_wearhouse_id')
        ->leftjoin('drivers' , 'drivers.driver_id' , '=' , 'trips.driver_id')
        ->leftjoin('insurances' , 'clearances_m.clearance_id' , '=' , 'insurances.clearance_id')
        ->where('clearances_m.clearance_active' , 1 )
        ->where('clearances_d.return_date' , '!=' , null )
        ->selectRaw('
            clearances_d.clearances_d_id as d_id ,
            clearances_d.clearances_m_id as m_id ,
            clearances_m.customer_id ,
            customers.name_'.$params['lang'].' as customer_name,
            IF(trips.trip_type = 1, drivers.driver_name_'.$params['lang'].' , NULL) as in_driver,
            IF(trips.trip_type = 2, drivers.driver_name_'.$params['lang'].' , NULL) as out_driver,
            trips.trip_date ,
            wearhouse_transactions.out_date ,
            trips.to_wearhouse_id ,
            wearhouses.wearhouse_name_'.$params['lang'].' as wearhouse_name ,
            clearances_d.container_size ,
            clearances_d.container_number ,
            clearances_m.clearance_id ,
            clearances_d.archive_id ,
            insurances.insurance_id,
            clearances_d.recommended_return_date,
            clearances_d.return_date,
            clearances_d.return_file
        ');


    if(isset($params['agent_id']) && $params['agent_id'] > 0 )
        $query->where('insurances.agent_id' ,$params['agent_id'] );

    if(isset($params['customer_id']) && $params['customer_id'] > 0 )
        $query->where('clearances_m.customer_id' ,$params['customer_id'] );

    if(isset($params['from_date']))
        $query->where('clearances_d.return_date' , '>=' , $params['from_date'] );

    if(isset($params['to_date']))
        $query->where('clearances_d.return_date' , '<=' , $params['to_date'] );


    if(isset($params['rows'])){
        $data = $query->paginate($params['rows'], ['*'], 'page', $params['page'] ?? 1);
    }else{
        $data = $query->get();
    }
    return $data;
    }

}
