<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithColumnFormatting;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithTitle;

class CountriesExport implements  WithHeadings, WithTitle, ShouldAutoSize, WithColumnFormatting , FromCollection
{
    /**
    * @return \Illuminate\Support\Collection
    */
    protected $rows;

    public function __construct(array $rows)
    {
        $this->rows = $rows;
    }

    public function headings(): array
    {

        return [
             'رمز البلد  / Country  Code',
            'الاسم العربي / Arabic Name',
            'الاسم الإنجليزي / English Name',
            'الرمز الدولي / International Code'
        ];
    }
    public function columnFormats(): array
    {
        return [];
    }


    public function title(): string
    {
        return 'Countries List  قائمة الدول';
    }

    public function collection()
    {
        return collect($this->rows)->map(function ($row) {
            return [
                $row->country_id,
                $row->name_ar,
                $row->name_en,
                $row->international_code,
            ];
        });
    }
}
