<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithColumnFormatting;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithTitle;

class DateTypesExport implements WithHeadings, WithTitle, ShouldAutoSize, WithColumnFormatting , FromCollection
{
    /**
    * @return \Illuminate\Support\Collection
    */

    public function __construct(array $rows)
    {
        $this->rows = $rows;
    }

    public function headings(): array
    {

        return [
            'Date Type / نوع التاريخ',
            'Date Type / نوع التاريخ2',
            'صيغة التاريخ / Date Format',
        ];
    }
    public function columnFormats(): array
    {
        return [];
    }


    public function title(): string
    {
        return 'Date Type / نوع التاريخ';
    }

    public function collection()
    {
        return collect($this->rows)->map(function ($row) {
            return [
                $row->date_type_id,
                $row->date_type,
                $row->date_type_format,
            ];
        });
    }
}
