<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithColumnFormatting;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithTitle;

class DutyTypeExport implements  WithHeadings, WithTitle, ShouldAutoSize, WithColumnFormatting , FromCollection
{
    /**
    * @return \Illuminate\Support\Collection
    */
    protected $rows;

    public function __construct(array $rows)
    {
        $this->rows = $rows;
    }

    public function headings(): array
    {

        return [
             'رمز نوع الرسوم / Duty Type Code',
            'الاسم العربي / Arabic Name',
            'الاسم الإنجليزي / English Name',
        ];
    }
    public function columnFormats(): array
    {
        return [];
    }


    public function title(): string
    {
        return 'نوع الرسوم  - Duty Type';
    }

    public function collection()
    {
        return collect($this->rows)->map(function ($row) {
            return [
                $row->duty_type_code,
                $row->arabic_name,
                $row->english_name,
            ];
        });
    }
}
