<?php
use App\Models\User;
use App\Models\Main\MainSetting;

// use ZipArchive;

// function read_excel($excelfile, $sheet = false){//from stores.blade.php
//     $tempfile                   = resource_path("upload/excel.xlsm");//it just needs a place to store the XML file temporarily, this function only works in Laravel, replace with a filename
//     if($sheet){//load XML file
//         //$XML = file_get_contents($tempfile);
//         $XML                    = simplexml_load_file($excelfile);
//         $XML                    = json_decode(json_encode((array)$XML), TRUE);
//         $excelfile              = pathinfo($sheet)['basename'];
//         if($excelfile == "workbook.xml"){
//             $RET = [];
//             foreach($XML["sheets"]["sheet"] as $data){
//                 $RET[ $data["@attributes"]["sheetId"] ] = $data["@attributes"]["name"];
//             }
//             return [
//                 'Filename'      => $excelfile,
//                 'SheetName'     => "sys_workbook",
//                 'SheetData'     => $RET,
//             ];
//         } else if($excelfile == "sharedStrings.xml"){
//             foreach($XML["si"] as $index => $value){
//                 if(isset($value["t"])){
//                     $value      = $value["t"];
//                 } else {
//                     foreach($value["r"] as $index2 => $value2){
//                         if(is_array($value2["t"])){
//                             $value2["t"] = $value2["t"][0];
//                         }
//                         $value["r"][$index2] = $value2["t"];
//                     }
//                     $value = implode("", $value["r"]);
//                 }
//                 if(is_array($value)){
//                     $value = $value[0];
//                 }
//                 $XML["si"][$index] = $value;
//             }
//             return [
//                 'Filename'      => $excelfile,
//                 'SheetName'     => "sys_strings",
//                 'SheetData'     => $XML["si"],
//             ];
//         } else if(isset($XML["sheetPr"])){
//             return [
//                 'Filename'          => $excelfile,
//                 'SheetName'         => $XML["sheetPr"]["@attributes"]["codeName"],
//                 'SheetData'         => $XML["sheetData"]["row"],
//             ];
//         }
//         return false;
//     } else {//load ZIPped XLSM file
//         $files                  = [];
//         $zip                    = new ZipArchive;
//         if ($zip->open($excelfile) === TRUE) {
//             for($i = 0; $i < $zip->numFiles; $i++) {
//                 $filename       = $zip->getNameIndex($i);
//                 if(startswith($filename, "xl/worksheets/") || $filename == "xl/workbook.xml" || $filename = "xl/sharedStrings.xml"){
//                     copy("zip://" . $excelfile . "#" . $filename, $tempfile);
//                     $XML        = excel($tempfile, $filename);
//                     if($XML !== false){
//                         $files[ $XML["SheetName"] ] = $XML["SheetData"];
//                     }
//                 }
//             }
//             @unlink($tempfile);
//             $zip->close();
//         }
//         var_dump($files);
//         die();
//     }
// }



function string_len($string , $min , $max , $rep = "_"){

    if( strlen( $rep )  == 1){
        if(strlen($string) > $max)
            $out = substr($string , 1 , $max );
        elseif(strlen($string) < $min)
            $out = str_pad( $string , $min , $rep, STR_PAD_RIGHT);
        else
            $out = $string;
    }else if (  (strlen( $rep ) > 1)  && (strlen($string) < $min) ){
        $out = $rep.$string ;
    }else{
        $out = $string ;
    }


    return $out;
}

function get_logo($id)
{
    $branch = DB::table('branchs')
        ->where('branch_id' , $id)
        ->first();
    if(isset($branch->branch_image) && $branch->branch_image != '' && $branch->branch_image != null){
        return $branch->branch_image;
    }

    return MainSetting::get_main_setting_by_code('logo')->value;
}


function fix_number($val , $type)
{
    switch ($type) {
        case '1':
            return number_format(abs($val) , 2 , '.' , ',');
            break;
        case '2':
            if($val < 0 ){
                return "( ". number_format(abs($val) , 2 , '.' , ',')." )";
            }else{
                return number_format(abs($val) , 2 , '.' , ',');
            }
            break;
    }
}

function get_daily_journal_next_codes($date , $year , $branch){
    $data['month_ser'] = intval( DB::table('daily_journal_m')
            ->where('finance_year_id' , $year)
            ->where('journal_date' , 'like' , date("Y-m" , strtotime($date))."%" )
            ->max('month_ser') ) + 1 ;

    $data['journal_code'] = intval( DB::table('daily_journal_m')
            ->where('finance_year_id' , $year)
            ->max('journal_code') ) + 1 ;

    $data['branch_ser'] = intval( DB::table('daily_journal_m')
            ->where('finance_year_id' , $year)
            ->where('branch_id' , $branch)
            ->max('branch_ser') ) + 1 ;

    return $data;
}

function get_return_invoice_next_codes($date , $year , $branch){
    $data['month_ser'] = intval( DB::table('q_return_sales_m')
            ->where('finance_year_id' , $year)
            ->where('invoice_date' , 'like' , date("Y-m" , strtotime($date))."%" )
            ->max('month_ser') ) + 1 ;

    $data['invoice_ser'] = intval( DB::table('q_return_sales_m')
            ->where('finance_year_id' , $year)
            ->max('invoice_ser') ) + 1 ;

    $data['branch_ser'] = intval( DB::table('q_return_sales_m')
            ->where('finance_year_id' , $year)
            ->where('branch_id' , $branch)
            ->max('branch_ser') ) + 1 ;

    return $data;
}






function gold_converter($c_18 , $c_21 , $c_24 , $c_22 = 0)
{

    // $data['c_18'] = round( $c_18 + ( $c_21 * 0.875 / 0.75  ) + ( $c_24 / 0.75 ) , 3 ) ;
    // $data['c_21'] = round( ( $c_18 * 0.75 / 0.875  ) + $c_21  + ( $c_24 / 0.875 ) , 3)  ;
    // $data['c_24'] = round( ( $c_18 * 0.75 ) + ( $c_21 * 0.875 ) +  $c_24 , 3 )  ;

    $data['c_18'] = round( $c_18 + ( $c_21 * 0.875 / 0.75  ) + ( $c_22 * 0.917 / 0.75  ) + ( $c_24 / 0.75 ) , 3 ) ;
    $data['c_21'] = round( ( $c_18 * 0.75 / 0.875  ) + $c_21  + ( $c_22 * 0.917 / 0.875  )  + ( $c_24 / 0.875 ) , 3)  ;
    $data['c_22'] = round( ( $c_18 * 0.75 / 0.917  ) + ( $c_21 * 0.875 /  0.917 )  + $c_22 + ( $c_24 / 0.917 ) , 3)  ;
    $data['c_24'] = round( ( $c_18 * 0.75 ) + ( $c_21 * 0.875 ) + ( $c_22 * 0.917  )  +  $c_24 , 3 )  ;

    return $data;
}

function get_used_next_codes($date , $year , $branch , $type){
    $data['month_ser'] = intval( DB::table('used_factory')
            ->where('used_type_id' , $type)
            ->where('finance_year_id' , $year)
            ->where('add_date' , 'like' , date("Y-m" , strtotime($date)).'%' )
            ->max('month_ser') ) + 1 ;

    $data['action_code'] = intval( DB::table('used_factory')
            ->where('used_type_id' , $type)
            ->where('finance_year_id' , $year)
            ->max('action_code') ) + 1 ;

    $data['branch_ser'] = intval( DB::table('used_factory')
            ->where('used_type_id' , $type)
            ->where('finance_year_id' , $year)
            ->where('branch_id' , $branch)
            ->max('branch_ser') ) + 1 ;

    return $data;
}



function get_item_balance($params)
{
    ( isset($params['lang']) ) ? $lang = $params['lang']  : $lang = 'en';

    if( isset($params['branch']) && $params['branch'] > 0 ){
        $filter['branch']   = $params['branch']  ;
    }elseif( isset($params['branch_id']) && $params['branch_id'] > 0 ){
        $filter['branch']   = $params['branch_id']  ;
    }else{
        $filter['branch']   = [];
    }

    $query  = DB::table('all_items')
        ->join('map_categorys' , 'all_items.category_id' , '=' , 'map_categorys.category_id')
        ->join('map_sub_categorys' , 'all_items.sub_category_id' , '=' , 'map_sub_categorys.sub_category_id')
        ->join('gold_price', function ($join) {
            $join->where('gold_price.active', '=', '1');
        })
        ->selectRaw('
            all_items.id as item_id ,
            all_items.id as item_code ,
            all_items.name_'.$lang.' as name ,
            all_items.name_ar ,
            all_items.name_en ,
            all_items.category_id ,
            map_categorys.category_title_'.$lang.' as cat_name ,
            all_items.sub_category_id ,
            map_sub_categorys.sub_category_title_'.$lang.' as sub_name ,
            map_sub_categorys.sub_category_code ,
            all_items.purchase_cost ,
            all_items.sell_cost ,
            all_items.min_sell_cost ,
            all_items.editable ,
            all_items.branch_id ,

            weight ,
            in_type ,
            in_id ,
            out_type ,
            out_id ,

            all_items.in_id as invoice_id ,
            case
               when all_items.category_id = 18 then ( (weight * 18_price ) + ( weight * (purchase_cost) ))
               when all_items.category_id = 21 then ( (weight * 21_price ) + ( weight * (purchase_cost) ))
               when all_items.category_id = 22 then ( (weight * 22_price ) + ( weight * (purchase_cost) ))
               when all_items.category_id = 24 then ( (weight * 24_price ) + ( weight * (purchase_cost) ))
            end as base_price ,
            if( editable = 1 ,
            case
               when all_items.category_id = 18 then ( (weight * 18_price ) + ( weight * (sell_cost+purchase_cost) ))
               when all_items.category_id = 21 then ( (weight * 21_price ) + ( weight * (sell_cost+purchase_cost) ))
               when all_items.category_id = 22 then ( (weight * 22_price ) + ( weight * (sell_cost+purchase_cost) ))
               when all_items.category_id = 24 then ( (weight * 24_price ) + ( weight * (sell_cost+purchase_cost) ))
            end , final_price ) as price ,
            if( editable = 1 ,
            case
               when all_items.category_id = 18 then ( (weight * 18_price ) + ( weight * (min_sell_cost+purchase_cost) ))
               when all_items.category_id = 21 then ( (weight * 21_price ) + ( weight * (min_sell_cost+purchase_cost) ))
               when all_items.category_id = 22 then ( (weight * 22_price ) + ( weight * (min_sell_cost+purchase_cost) ))
               when all_items.category_id = 24 then ( (weight * 24_price ) + ( weight * (min_sell_cost+purchase_cost) ))
            end , final_price ) as min_price ,
            "in_type" as _table ');

    if(isset($params['category'])  && $params['category'] > 0){
        $query->where('all_items.category_id' , $params['category']);
    }

    if(isset($params['sub_category']) && $params['sub_category'] > 0){
        $query->where('all_items.sub_category_id' , $params['sub_category']);
    }

    if(isset($params['invoice_id'])){
        $query->where('all_items.in_id' , $params['invoice_id']);
    }

    if(isset($params['table_id'])){
        $query->where('all_items.in_type' , $params['table_id']);
    }

    if(isset($params['in_type'])){
        $query->where('all_items.in_type' , $params['in_type']);
    }


    if(isset($params['item_id'])){
        $query->where(function($query2) use($params)
        {
            $query2->where('all_items.id', '=', $params['item_id'])
                ->orWhere('all_items.old_code', '=', $params['item_id'] );
        });
    }


    if(isset($params['item_code'])){
        $query->where(function($query2) use($params)
        {
            $query2->where('all_items.id', '=', $params['item_code'])
                ->orWhere('all_items.old_code', '=', $params['item_code'] );
        });
    }

    if(isset($params['weight'])){
        $query->where('all_items.weight' , $params['weight']);
    }

    if(isset($params['purchase_cost'])){
        $query->where('all_items.purchase_cost' , $params['purchase_cost']);
    }

    if(is_array($filter['branch'])){
        $query->whereIn('all_items.branch_id' , $filter['branch']);
    }else{
        $query->where('all_items.branch_id' , $filter['branch']);
    }

    if(isset($params['editable'])){
        $query->where('all_items.editable' , $params['editable']);
    }

    if(isset($params['add_date'])){
        $query->where('all_items.add_date' , 'like' ,$params['add_date']."%");
    }


    $data = $query->get()->all();
    return $data;


    // ( isset($params['lang']) ) ? $filter['lang'] = $params['lang']  : $filter['lang'] = 'en';
    // ( isset($params['category']) ) ? $filter['category'] = $params['category']  : $filter['category'] = 0;
    // ( isset($params['sub_category']) ) ? $filter['sub_category'] = $params['sub_category']  : $filter['sub_category'] = 0;
    // ( isset($params['invoice_code']) ) ? $filter['invoice_code'] = $params['invoice_code']  : $filter['invoice_code'] = '';
    // ( isset($params['invoice_id']) ) ? $filter['invoice_id'] = $params['invoice_id']  : $filter['invoice_id'] = 0;
    // ( isset($params['item_id']) ) ? $filter['item_id'] = $params['item_id']  : $filter['item_id'] = 0;
    // ( isset($params['table_id']) ) ? $filter['table_id'] = $params['table_id']  : $filter['table_id'] = '';
    // ( isset($params['editable']) ) ? $filter['editable'] = $params['editable']  : $filter['editable'] = 0;
    // ( isset($params['weight']) ) ? $filter['weight'] = $params['weight']  : $filter['weight'] = 0;
    // ( isset($params['purchase_cost']) ) ? $filter['purchase_cost'] = $params['purchase_cost']  : $filter['purchase_cost'] = 0;
    // ( isset($params['branch']) ) ? $filter['branch'] = $params['branch']  : $filter['branch'] = 0;

    // if( isset($params['branch']) && $params['branch'] > 0 ){
    //     $filter['branch']   = $params['branch']  ;
    //     $filter['branchs']  = "";
    // }else{
    //     $filter['branch']   = 0 ;
    //     $filter['branchs']  = session()->get('my_branch_ids');
    // }

    // $data = DB::select('call p_item_balance(
    //     "'.$filter['lang'].'",
    //     '.$filter['category'].',
    //     '.$filter['sub_category'].',
    //     '.$filter['branch'].',
    //     "'.$filter['invoice_code'].'",
    //     '.$filter['invoice_id'].',
    //     '.$filter['item_id'].',
    //     "'.$filter['table_id'].'",
    //     '.$filter['editable'].' ,
    //     "'.$filter['branchs'].'",
    //     "'.$filter['weight'].'",
    //     "'.$filter['purchase_cost'].'"
    // )  ');
    // return $data;
}

function update_item_balance($t , $id , $update_array)
{

    $update_array['disabled_date']  = date("Y-m-d H:i:s");
    $update_array['disabled_user']  = auth()->user()->id;

    DB::table('all_items')->where('id' , $id )->update( $update_array );
    return '';

    switch ($t) {
        case 'p':
            DB::table('purchase_invoice_gold_d')->where('purchase_invoice_d_id' , $id )->update( $update_array );
            break;
        case 'u':
            DB::table('used_factory_products')->where('used_factory_product_id' , $id )->update( $update_array );
            break;
        case 's':
            DB::table('stocktaking_d')->where('stocktaking_d_id' , $id )->update( $update_array );
            break;
    }
}

