<?php

namespace App\Http\Controllers\API\V1;
use App\Classes\General\General;

use DB;
use App;
use Illuminate\Support\Facades\Auth;
use Str;
use Validator;
use Config;
use Hash;


class AuthController extends BaseController
{
    public function login($lang)
    {
        App::setLocale($lang);
        $input      = request()->input();
        $validator  = validator()->make($input, [
            'username' => 'required',
            'password' => 'required'
        ]);

        if ($validator->fails()) {
            return $this->sendError(trans('main.login_error'), $validator->errors());
        }

        if(!isset($input['username']))
            return $this->sendError(trans('main.login_error'), []);

        if(!isset($input['password'])){
            return $this->sendError(trans('main.login_error'), []);
        }

        $method = array(
            'username'  => $input['username'] ,
            'password'  => $input['password']
        );


        if(Auth::attempt($method))
        {
            if(Auth::user()->user_active != 1)
                return $this->sendError(trans('main.login_inactive'), []);

            $general = new General;
            $check_not_allowed_times = $general->check_not_allowed_times(Auth::user()->id);
            if($check_not_allowed_times)
                return $this->sendError(trans('auth.Login is not allowed at this time'), []);

            if(strlen(auth()->user()->api_token) < 100){
               $api_token = Str::random(200);
                DB::table('users')
                    ->where('id' , auth()->user()->id)
                    ->update(array('api_token' => $api_token));
            }

            $general = new General;
            $data = $general->get_user_profile(auth()->user()->id, $lang);

            return $this->sendResponse($data, '');
        }
        else
        {
            return $this->sendError(trans('main.login_error'), []);
        }
    }
}
