<?php

namespace App\Http\Controllers\API\V1\Main;
use App\Http\Controllers\API\V1\BaseController;
use App\Classes\General\Upload;
use Illuminate\Http\Request;


use App\Classes\Excel\DataImport;



use App\Models\Main\ScreenMain;
use App\Models\Main\ScreenSub;
use Excel;

class ScreenMainController extends BaseController
{
    protected $return = array();
    protected $filter = array();

    public function index($lang , Request $request)
    {


        // $file_array = collect(Excel::toArray(new DataImport, public_path('prices.xlsx')  )[0])->groupBy('customer_code')->all();

        // foreach($file_array as $key => $row){
        //     $new = collect($row)->groupBy('type_prices')->toArray();
        //     $seed       = [];
        //     for($i = 1; $i <= 5; $i++){
        //         $seed[] = [
        //             'customer_id'   => $key ,
        //             'port_id'       => $i ,
        //             'cont_s_first'  => $new['Customs Price 1st Container'][0]['n_price'] ?? 0 ,
        //             'cont_s_sec'    => $new['Customs Price 2nd Container'][0]['n_price'] ?? 0 ,
        //             'cont_s_other'  => $new['Customs Price 3rd Container'][0]['n_price'] ?? 0 ,
        //             'cont_b_first'  => $new['Customs Price 1st Container'][0]['n_price'] ?? 0 ,
        //             'cont_b_sec'    => $new['Customs Price 2nd Container'][0]['n_price'] ?? 0 ,
        //             'cont_b_other'  => $new['Customs Price 3rd Container'][0]['n_price'] ?? 0 ,
        //             'loading_type'  => (isset($new['Loaded Price for FULL Policy'])? 1:0) ,
        //             'loading_price' => $new['Loaded Price for FULL Policy'][0]['n_price'] ?? $new['Loaded Price for Each Policy'][0]['n_price'] ?? 0 ,
        //             'translate_type'  => (isset($new['Translated Price for FULL Policy'])? 1:0),
        //             'translate_price' => $new['Translated Price for FULL Policy'][0]['n_price'] ?? $new['Translated Price for Each Container'][0]['n_price'] ?? 0 ,
        //             'other_type'  => (isset($new['Others Price for FULL Policy'])? 1:0),
        //             'other_price' => $new['Others Price for FULL Policy'][0]['n_price'] ?? $new['Others Price for Each Policy'][0]['n_price'] ?? 0 ,
        //             'customer_price_active' => 1 ,
        //             'add_user'  => 1

        //         ];
        //     }

        //     DB::table('customer_prices')->insert($seed);

        // }

        //     return $this->sendResponse( $seed );

        $this->checkPermission('01-001','view');


        $this->filter = array(
            'lang'        => $lang ,
            'active'      => $request['active'] ?? 1 ,
            'rows'        => $request['rows'] ?? null ,
            'page'        => $request['page'] ?? 1 ,
            'word'        => $request['word'] ?? null
        );

        $this->return['screen_name'] = ScreenSub::get_screen_sub_by_screen_code('01-001' , $lang)->sub_title ?? '';
        $this->return['items']       = ScreenMain::all_screen_mains( $this->filter );

        return $this->sendResponse( $this->return );
    }

    public function create($lang , Request $request)
    {
        $this->checkPermission('01-001','add');


        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('01-001' , $lang)->sub_title ?? '';

        return $this->sendResponse( $this->return  );
    }

    public function store($lang , Request $request)
    {
        $this->checkPermission('01-001','add');


        $insert             = $request->only(['screen_main_title_en', 'screen_main_title_ar', 'screen_main_image']);
        $insert['add_user'] = auth()->user()->id;
        $validator          = validator()->make( $insert , ScreenMain::$rules );

        if($validator->fails())
        {
            return $this->sendError( trans('error.add_fails') , $validator->errors() );
        }

        if(isset($insert['screen_main_image']) && strlen($insert['screen_main_image']) > 100 ){
            $upload = new Upload;
            $check  = $upload->uploadBase64Image($insert['screen_main_image'] , 'screen_main' , 300 , 300 );
            if(!$check['check'])
                return $this->sendError( trans('error.add_fails') , $check['msg'] );
            else
                $insert['screen_main_image'] = $check['url'];
        }

        $this->return['id'] = ScreenMain::add_screen_main($insert);
        return $this->sendResponse( $this->return , trans('main.add_success') );
    }

    public function show($lang , $id , Request $request)
    {
        $this->checkPermission('01-001','view');

        $this->return['screen_name']        = ScreenSub::get_screen_sub_by_screen_code('01-001' , $lang)->sub_title ?? '';
        $this->return['data']               = ScreenMain::find($id);

        return $this->sendResponse( $this->return , '' );
    }

    public function update($lang , $id , Request $request)
    {
        $this->checkPermission('01-001','edit');

        $update     = $request->only(['screen_main_title_en', 'screen_main_title_ar', 'screen_main_image']);
        $validator  = validator()->make( $update , ScreenMain::$rules );

        if($validator->fails())
        {
            return $this->sendError( trans('error.add_fails') , $validator->errors() );
        }

        if(isset($update['screen_main_image']) && strlen($update['screen_main_image']) > 100){
            $upload = new Upload;
            $check  = $upload->uploadBase64Image($update['screen_main_image'] , 'screen_main' , 300 , 300 );
            if(!$check['check'])
                return $this->sendError( trans('error.add_fails') , $check['msg'] );
            else
                $update['screen_main_image'] = $check['url'];
        }

        ScreenMain::update_screen_main($update ,  $id );
        return $this->sendResponse( $this->return , trans('main.update_success') );
    }

    public function destroy($lang , $id)
    {
        $this->checkPermission('01-001','delete');

        ScreenMain::delete_screen_main($id);

        return $this->sendResponse( [] , trans('main.delete_success') );
    }

    public function sort_post($lang , Request $request){
        $this->checkPermission('01-001','edit');

        $sort = $request->all();
        foreach ($sort['items'] as $key => $value) {
            ScreenMain::update_screen_main(array('screen_main_order' => $key ),  $value['id']);
        }
        return $this->sendResponse( [] , trans('main.update_success') );

    }

    public function toggle_active($lang , $id){
        $item = ScreenMain::find($id);
        if($item->screen_main_active){

            $this->checkPermission('01-001','delete');

            ScreenMain::delete_screen_main($id);
            $this->return['active'] = false;

        }else{

            $this->checkPermission('01-001','edit');

            ScreenMain::update_screen_main(array('screen_main_active' => 1 ),  $id);
            $this->return['active'] = true;
        }
        return $this->sendResponse( $this->return , trans('main.update_success') );
    }

}
