<?php
namespace App\Http\Controllers\API\V1;
use App\Http\Controllers\API\V1\BaseController;


use App\Classes\Excel\InvoicesExport;
use App\Classes\General\Upload;
use App\Classes\General\General;
use Illuminate\Http\Request;
use App\Models\Main\ScreenSub;

use App\Models\User;

use App\Models\Trans\Wearhouse;
use App\Models\Trans\WearhouseTransaction;
use App\Models\Trans\Trip;
use App\Models\Sales\Customer;
use App\Models\Trans\Driver;
use App\Models\Trans\Car;
use App\Models\Main\Branch;


use DB;
use PDF;
use App;
use App\Models\Trans\Area;
use App\Models\Trans\Port;
use Excel;
use DateTime;

class ReportController extends BaseController
{

    protected $return = array();
    protected $filter = array();

    protected function get_print_data( $branch_id ){

        $branch_data    = Branch::get_branch($branch_id);

        $this->return['print']['print_margin']   = $branch_data->print_margin ?? '';
        $this->return['print']['print_right']    = $branch_data->print_label_ar ?? '';
        $this->return['print']['print_left']     = $branch_data->print_label_en ?? '';
        $this->return['print']['footer']         = $branch_data->print_footer ?? '';
        $this->return['print']['logo']           = get_logo( $branch_id );


    }

    public function warehouse_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-013'][0]->permission) ){
//            return $this->sendError('update permission needed #03-013' , [] , 200 );
//        }

        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-013' , $lang)->sub_title ?? '';
        $this->return['wearhouses']     = Wearhouse::all_wearhouses( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );

    }

    public function warehouse_report_post($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-013'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-013' , [] , 200 );
//        }

        $this->filter['from']           = $request['from_date'] ?? date("Y-m-01");
        $this->filter['to']             = $request['to_date'] ?? date("Y-m-d");
        $this->filter['wearhouse']      = $request['warehouse_id'] ?? null;
        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-013' , $lang)->sub_title ?? '';
        $this->return['report']         = WearhouseTransaction::all_wearhouse_transactions( $this->filter );

        $this->get_print_data(1);

        return $this->sendResponse( $this->return );
    }

    public function container_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-013'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-013' , [] , 200 );
//        }

        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-013' , $lang)->sub_title ?? '';
        $this->return['wearhouses']     = Wearhouse::all_wearhouses( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );

    }

    public function container_report_post($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-013'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-013' , [] , 200 );
//        }

        $this->filter['wearhouse']      = $request['warehouse_id'] ?? null;
        $this->filter['clearance_id']      = $request['clearance_id'] ?? null;

        $this->filter['active']         = 1 ;
        $this->filter['status']         = 2 ;
        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-013' , $lang)->sub_title ?? '';
        $this->return['report']         = WearhouseTransaction::all_wearhouse_transactions( $this->filter );

        $this->get_print_data(1);

        return $this->sendResponse( $this->return );
    }


    public function transport_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-014'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-014' , [] , 200 );
//        }

        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['customers']      = Customer::all_customers( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function transport_report_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-014'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-014' , [] , 200 );
//        }

        $this->filter['from']           = date("Y-m-01" , strtotime($request['month_date']));
        $this->filter['to']             = date("Y-m-t" , strtotime($request['month_date']));
        $this->filter['customer_id']    = $request['customer_id'] ?? null;
        $this->filter['first']          = $request['first'] ?? null;

        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['report']         = Trip::all_trips( $this->filter );

        $this->get_print_data(1);

        return $this->sendResponse( $this->return );

    }

    public function driver_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-020'][0]->permission ?? [] ) ){
//            return $this->sendError( 'update permission needed #03-020' , [] , 200 );
//        }

        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-020' , $lang)->sub_title ?? '';
        $this->return['drivers']        = Driver::all_drivers( ['lang' => $lang , 'active' => 1 ] );
        $this->return['branchs']        = Branch::all_branchs( ['lang' => $lang , 'active' => 1 , 'user' => auth()->user()->id ] );
        $this->return['cars']           = Car::all_cars( ['lang' => $lang , 'active' => 1 ] );
        $this->return['customers']      = Customer::all_customers( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function driver_report_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-020'][0]->permission ?? []) ){
//            return $this->sendError( 'update permission needed #03-020' , [] , 200 );
//        }

        $this->filter['from']           = $request['from_date'] ?? date("Y-m-01");
        $this->filter['to']             = $request['to_date'] ?? date("Y-m-t");
        $this->filter['driver_id']      = $request['driver_id'] ?? null;
        $this->filter['customer']       = $request['customer_id'] ?? null;
        $this->filter['branch_id']      = $request['branch_id'] ?? null;
        $this->filter['car_id']         = $request['car_id'] ?? null;
        $this->filter['lang']           = $lang ;

        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-020' , $lang)->sub_title ?? '';
        $this->return['report']         = Trip::all_trips( $this->filter );

        foreach ($this->return['report']  as $key => $value) {
            $this->return['report'][$key]->total_price = $this->return['report'][$key]->driver_price;
            $this->return['report'][$key]->trip_price = $this->return['report'][$key]->driver_price;
        }
        $this->get_print_data(1);

        return $this->sendResponse( $this->return );
    }

    public function maintenance_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-015'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-015' , [] , 200 );
//        }
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-015' , $lang)->sub_title ?? '';
        $this->return['drivers']        = Driver::all_drivers( ['lang' => $lang , 'active' => 1 ] );
        $this->return['cars']           = Car::all_cars( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function maintenance_report_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-015'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-015' , [] , 200 );
//        }

        $this->filter['from']           = $request['from_date'] ?? date("Y-m-01");
        $this->filter['to']             = $request['to_date'] ?? date("Y-m-d");
        $this->filter['car_id']         = $request['car_id'] ?? null;
        $this->filter['driver_id']      = $request['driver_id'] ?? null;
        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['report']         = [];
        $this->get_print_data(1);
        return $this->sendResponse( $this->return );

    }

    public function car_movements_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-016'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-016' , [] , 200 );
//        }
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-016' , $lang)->sub_title ?? '';
        $this->return['branchs']        = Branch::all_branchs( ['lang' => $lang , 'active' => 1 , 'user' => auth()->user()->id ] );
        $this->return['ports']          = Port::all_ports(['lang'=>$lang , 'active'=>1]);
        $this->return['drivers']        = Driver::all_drivers( ['lang' => $lang , 'active' => 1 ] );
        $this->return['cars']           = Car::all_cars( ['lang' => $lang , 'active' => 1 ] );
        $this->return['customers']      = Customer::all_customers( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function car_movements_report_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-016'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-016' , [] , 200 );
//        }

        $this->filter['day_date']       = $request['day_date'] ?? date("Y-m-d");
        $this->filter['car_id']         = $request['car_id'] ?? null;
        $this->filter['driver_id']      = $request['driver_id'] ?? null;
        $this->filter['customer_id']    = $request['customer_id'] ?? null;
        $this->filter['branch_id']      = $request['branch_id'] ?? null;
        $this->filter['port_id']        = $request['port_id'] ?? null;
        $this->filter['in']             = $request['in'] ?? null;
        $this->filter['out']            = $request['out'] ?? null;

        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['report']         = Trip::all_trips( $this->filter );
        $this->get_print_data(1);
        return $this->sendResponse( $this->return );


    }

    public function car_income_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-017'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-017' , [] , 200 );
//        }
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-017' , $lang)->sub_title ?? '';
        $this->return['drivers']        = Driver::all_drivers( ['lang' => $lang , 'active' => 1 ] );
        $this->return['branchs']        = Branch::all_branchs( ['lang' => $lang , 'active' => 1 , 'user' => auth()->user()->id ] );
        $this->return['cars']           = Car::all_cars( ['lang' => $lang , 'active' => 1 ] );
        $this->return['customers']      = Customer::all_customers( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function car_income_report_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-017'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-017' , [] , 200 );
//        }

        $this->filter['from']           = $request['from_date'] ?? date("Y-m-01");
        $this->filter['to']             = $request['to_date'] ?? date("Y-m-d");
        $this->filter['car_id']         = $request['car_id'] ?? null;
        $this->filter['driver_id']      = $request['driver_id'] ?? null;
        $this->filter['branch_id']      = $request['branch_id'] ?? null;
        $this->filter['customer_id']    = $request['customer_id'] ?? null;
        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['report']         = Trip::all_trips( $this->filter );

        $this->get_print_data(1);
        return $this->sendResponse( $this->return );
    }

    public function driver_income_report_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-018'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-018' , [] , 200 );
//        }
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-018' , $lang)->sub_title ?? '';
        $this->return['drivers']        = Driver::all_drivers( ['lang' => $lang , 'active' => 1 ] );
        $this->return['ports']          = Port::all_ports( ['active' => 1 , 'lang' => $lang ] );
        $this->return['branchs']        = Branch::all_branchs( ['lang' => $lang , 'active' => 1 , 'user' => auth()->user()->id ] );
        $this->return['cars']           = Car::all_cars( ['lang' => $lang , 'active' => 1 ] );
        $this->return['customers']      = Customer::all_customers( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function driver_income_report_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-018'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-018' , [] , 200 );
//        }

        $this->filter['from']           = $request['from_date'] ?? date("Y-m-01");
        $this->filter['to']             = $request['to_date'] ?? date("Y-m-d");
        $this->filter['car_id']         = $request['car_id'] ?? null;
        $this->filter['driver_id']      = $request['driver_id'] ?? null;
        $this->filter['branch_id']      = $request['branch_id'] ?? null;
        $this->filter['port_id']        = $request['port_id'] ?? null;
        $this->filter['customer_id']    = $request['customer_id'] ?? null;
        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['report']         = Trip::all_trips( $this->filter );

        $this->get_print_data(1);
        return $this->sendResponse( $this->return );


    }


    public function trip_expenses_reports_get($lang , Request $request){
//        if(!@in_array('1', $this->data['mypermissions']['03-021'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-021' , [] , 200 );
//        }
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-021' , $lang)->sub_title ?? '';
        $this->return['drivers']        = Driver::all_drivers( ['lang' => $lang , 'active' => 1 ] );
        $this->return['branchs']        = Branch::all_branchs( ['lang' => $lang , 'active' => 1 , 'user' => auth()->user()->id ] );
        $this->return['cars']           = Car::all_cars( ['lang' => $lang , 'active' => 1 ] );
        $this->return['customers']      = Customer::all_customers( ['lang' => $lang , 'active' => 1 ] );
        return $this->sendResponse( $this->return );
    }

    public function trip_expenses_reports_post($lang , Request $request){
//        if(!@in_array('5', $this->data['mypermissions']['03-021'][0]->permission) ){
//            return $this->sendError( 'update permission needed #03-021' , [] , 200 );
//        }

        $this->filter['from']           = $request['from_date'] ?? date("Y-m-01");
        $this->filter['to']             = $request['to_date'] ?? date("Y-m-d");
        $this->filter['car_id']         = $request['car_id'] ?? null;
        $this->filter['driver_id']      = $request['driver_id'] ?? null;
        $this->filter['branch_id']      = $request['branch_id'] ?? null;
        $this->filter['customer_id']    = $request['customer_id'] ?? null;
        $this->filter['lang']           = $lang ;
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-014' , $lang)->sub_title ?? '';
        $this->return['report']         = Trip::all_trips( $this->filter );

        $this->get_print_data(1);
        return $this->sendResponse( $this->return );


    }
    public function trips_containers_report_get($lang , Request $request){
        $this->checkPermission('03-048' , 'view');

        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-048' , $lang)->sub_title ?? '';
        $this->return['ports']          = Port::all_ports(['lang'=>$lang , 'active'=>1]);
        $this->return['areas']          = Area::all_areas( ['active' => 1 , 'lang' => $lang] );

        return $this->sendResponse( $this->return );

    }

    public function trips_containers_report_post($lang , Request $request){
        $this->checkPermission('03-048' , 'view');

        $otherDB = session()->get('otherDB');
        $this->return['screen_name']    = ScreenSub::get_screen_sub_by_screen_code('03-048' , $lang)->sub_title ?? '';
        $query = DB::table('trips')
            ->leftjoin('customers' , 'trips'.'.customer_id' , '=' , 'customers.customer_id')
            ->leftjoin('areas as from_areas' , 'trips.from_area_id' , '=' , 'from_areas.area_id')
            ->leftjoin('areas as to_areas' , 'trips.to_area_id' , '=' , 'to_areas.area_id')
            ->leftjoin($otherDB.'.customers as amwag_cust' , 'trips'.'.customer_id' , '=' , 'amwag_cust.customer_id')
            ->leftjoin($otherDB.'.clearances_d' , 'trips'.'.clearance_d_id' , '=' , 'clearances_d.clearances_d_id' )
            ->leftjoin('ports' , 'trips.branch_id' , '=' , 'ports.branch_id')
            // ->leftjoin('ports', function ($join) {
            //     $join->on('ports.port_id', '=', 'trips.from_port_id')
            //         ->orWhere('ports.port_id', '=', 'trips.to_port_id');
            // })
            ->where('trip_active' , 1)
            // ->whereNotNull('port_id')
            ->selectRaw('
                count(distinct trip_id) as trips_count ,
                ifnull( if( trips.clearance_d_id > 0 , amwag_cust.name_'.$lang.' , customers.name_'.$lang.' ) , trips.customer_name) as customer_name ,
                if( trips.clearance_d_id > 0 , clearances_d.container_number, trips.container_number ) as container_number ,
                if( trips.clearance_d_id > 0 , clearances_d.container_size, trips.container_size ) as container_size ,
                ports.port_name_'.$lang.' as port_name ,
                trips.trip_road,
                from_area_id ,
                from_areas.area_name_'.$lang.' as from_area_name ,
                to_area_id ,
                to_areas.area_name_'.$lang.' as to_area_name ,
                port_id ,
                trip_date
             ')->groupBy('trips.clearance_d_id');

        if(isset($request['from']))
            $query->where('trips.trip_date' , '>=' , $request['from']." 00:00:00" );

         if(isset($request['to']))
            $query->where('trips.trip_date' , '<=' , $request['to']." 23:59:59" );

        if(isset($request['port_id']) && $request['port_id'] > 0)
            $query->where('ports.port_id', $request['port_id']);

        if(isset($request['from_area']) && $request['from_area'] > 0)
            $query->where('trips.from_area_id', $request['from_area']);

        if(isset($request['to_area']) && $request['to_area'] > 0)
            $query->where('trips.to_area_id', $request['to_area']);

        if(isset($request['trip_road']) && $request['trip_road'] > 0)
            $query->where('trips.trip_road', $request['trip_road']);
        $this->return['report']  = $query->get();
        $port_query =  DB::table('ports')
            // ->leftjoin('trips', function ($join) {
            //     $join->on('ports.port_id', '=', 'trips.from_port_id')
            //         ->orWhere('ports.port_id', '=', 'trips.to_port_id')
            //          ->where('trips.trip_active', '=', 1);
            // })
            ->rightjoin('trips' , 'trips.branch_id' , '=' , 'ports.branch_id')
            ->where('port_active' , 1)
            ->groupBy('port_id')
            ->selectRaw('
                port_id ,
                count(distinct trips.trip_id ) as trips_count ,
                count(distinct trips.clearance_d_id ) as container_count ,
                ports.port_name_'.$lang.' as port_name
            ');
        if(isset($request['from']))
            $port_query->where('trips.trip_date' , '>=' , $request['from']." 00:00:00" );

         if(isset($request['to']))
            $port_query->where('trips.trip_date' , '<=' , $request['to']." 23:59:59" );

        if(isset($request['port_id']) && $request['port_id'] > 0)
            $port_query->where('port_id', $request['port_id']);

        if(isset($request['from_area']) && $request['from_area'] > 0)
            $port_query->where('trips.from_area_id', $request['from_area']);

        if(isset($request['to_area']) && $request['to_area'] > 0)
            $port_query->where('trips.to_area_id', $request['to_area']);

        if(isset($request['trip_road']) && $request['trip_road'] > 0)
            $port_query->where('trips.trip_road', $request['trip_road']);


        $this->return['ports'] = $port_query->get();

        return $this->sendResponse( $this->return );
    }

}
