<?php

namespace App\Http\Controllers\API\V1;
use App\Http\Controllers\API\V1\BaseController;
use App\Classes\General\Upload;
use App\Classes\General\General;
use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Sales\Clearance;

use Config;
use DB;

class TreatmentController extends BaseController
{

    protected $return = array();
    protected $filter = array();

    private function change_db(){

        Config::set('database.connections.mysql.database' , session()->get('otherDB') );
        DB::reconnect();
        DB::connection()->getPdo();

    }

    public function get_aval_clearances($lang , Request $request)
    {
        $this->change_db();
        $this->filter = array(
            'lang'                  => $lang ,
            'active'                => $request['active'] ?? 1 ,
            'rows'                  => $request['rows'] ?? null ,
            'page'                  => $request['page'] ?? 1 ,
            'status'                => $request['status'] ?? null,
            'word'                  => $request['word'] ?? null ,
            'port_id'               => $request['port_id'] ?? null,
            'is_classification'     => $request['is_classification'] ?? null

        );

        $this->return = Clearance::all_clearances( $this->filter );
        return $this->sendResponse($this->return, '');
    }

    public function get_aval_clearances_short($lang , Request $request)
    {
        $this->change_db();
        $this->filter = array(
            'lang'              => $lang ,
            'active'            => $request['active'] ?? 1 ,
            'rows'              => $request['rows'] ?? null ,
            'page'              => $request['page'] ?? 1 ,
            'word'              => $request['word'] ?? null ,
            'is_classification' => $request['is_classification'] ?? null ,
            'is_withdrawal'     => $request['is_withdrawal'] ?? null,
            'status'            => $request['status'] ?? null ,
        );

        if(request()->header('clientID') == 'trans'){
            $this->filter['is_withdrawal'] = $request['is_withdrawal'] ?? 1;
        }

        $this->return = Clearance::all_clearances_short( $this->filter );
        return $this->sendResponse($this->return, '');
    }

    public function get_clearance_containers($lang , $id )
    {
        $this->change_db();
        $this->return = Clearance::get_clearance_d($id , $lang );
        return $this->sendResponse($this->return, '');
    }


}
