<?php

namespace App\Models\Finance;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class SharedAccountsTypes extends Model
{
    protected $primaryKey = 'id';

    public static $main_table = 'shared_accounts_types';
    public $table = 'shared_accounts_types';

    public static $rules = array(

    );

    public static function get_all($lang = null, $params = null)
    {
        $query =  DB::table(self::$main_table);

        if($lang != null){
            $query->selectRaw('
                id ,
                name_'.$lang.' as name ,
                name_ar ,
                name_en

            ');
        }

        if(isset($params['rows'])){
            $data = $query->paginate($params['rows'], ['*'], 'page', $params['page'] ?? 1);
        }else{
            $data = $query->get();
        }

        return $data;
    }

    public static function get_one($id , $lang = null)
    {
        $query =  DB::table(self::$main_table)
            ->where('id' , $id);

        if($lang != null){
            $query->selectRaw('
            shared_accounts_types.id ,
            name_'.$lang.' as name ,
            name_ar ,
            name_en
            ');
        }

        $data = $query->first();
        return $data;

    }

    public static function add_one($seed)
    {
        return DB::table(self::$main_table)->insertGetId($seed);
    }

    public static function update_one($seed ,  $id)
    {
        return DB::table(self::$main_table)->where('id' , $id )->update($seed);
    }


}
