<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Logs extends Model
{
    protected $primaryKey = 'log_id';

    public static $main_table = 'logs';

    public static $rules = array(

    );

    public static function all_logs($params = null)
    {
        $query =  DB::table(self::$main_table)
            ->leftJoin('screen_subs','logs.screen_code','screen_subs.screen_code')
            ->leftJoin('users','logs.add_user','users.id')
            ->groupBy('logs.log_id')
            ->orderBy('logs.add_date','desc');

        if($params['lang'] != null){
            $query->selectRaw('
                logs.log_id,
                logs.function,
                logs.screen_code,
                screen_subs.screen_sub_title_'.$params["lang"].' as screen_name,
                logs.payload,
                logs.action_type,
                logs.action_id,
                logs.add_date,
                logs.add_user,
                users.user_full_name as user_name
                ');
        }

        if(isset($params['action_type'])){
            $query->where('logs.action_type' , $params['action_type']);
        }
        if(isset($params['action_id'])){
            $query->where('logs.action_id' , $params['action_id']);
        }
        if(isset($params['rows'])){
            $data = $query->paginate($params['rows'], ['*'], 'page', $params['page'] ?? 1);
        }else{
            $data = $query->get();
        }
        foreach($data as $item){
            $item->payload = json_decode($item->payload);
            $item->function = trans('main.'.$item->function);
        }
        return $data;
    }



    public static function add_log($seed)
    {
        return DB::table(self::$main_table)->insertGetId($seed);
    }



}
