<?php

namespace App\Models\Main;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use function PHPUnit\Framework\isEmpty;

class Input extends Model
{
    use HasFactory;

    public static $rules = array(
        'screen_sub_ids' => 'required|numeric|exists:screen_subs,screen_sub_id',
        'input_code' => 'required|unique:inputs',
        'column_type' => 'required|in:INT,TINYINT,MEDIUMINT,SMALLINT,BIGINT,DECIMAL.FLOAT,DOUBLE,REAL,BIT,BOOLEAN,SERIAL,DATE,DATETIME,TIME,TIMESTAMP,YEAR,CHAR,VARCHAR,TINYTEXT,TEXT,MEDIUMTEXT,LONGTEXT,BINARY,VARBINARY,BLOB,TINYBLOB,MEDIUMBLOB,LONGBLOB,ENUM,SET,JSON',
        'Length_Values' => 'required_if:column_type,ENUM,SET',
    );


    protected $primaryKey = 'input_id ';
    public static $main_table = 'inputs';
    public $table = 'inputs';


    public static function all_screens_inputs(){
        return DB::table(self::$main_table)->get()->groupBy('screen_sub_ids');
    }


    public static function add_input($seed)
    {
        if ($seed['column_type'])
            unset($seed['column_type']);
        return DB::table(self::$main_table)->insertGetId($seed);
    }


    public static function get_screen_inputs($lang , $id)
    {
        return DB::table(self::$main_table)->where('screen_sub_ids',$id)->get();
    }

    public static function add_new_column_to_table($insert){
        $tableName = ScreenSub::get_screen_sub($insert['screen_sub_ids'])->table_name;
        $tableNameInputs = $tableName."_inputs";
        $id = $tableNameInputs."_id";
        $foreign_key = $tableName."_id";
        $columnName = $insert['input_label_ar'];
        $table_exists = DB::select("SHOW TABLES LIKE '{$tableNameInputs}'");

//        if (!isset(DB::table($tableName)->get()->first()->$columnName)) {
//            DB::table($tableName)->addColumn($columnName, 'string')->after('existing_column');
//            dd("x");
//        }

        if (!$table_exists) {
            Schema::create($tableNameInputs, function (Blueprint $table) use ($columnName,$tableNameInputs,$id,$tableName,$foreign_key) {
                $table->id($id);
                $table->foreignId($foreign_key);
                $table->unsignedBigInteger("add_user");
                $table->timestamp("add_date")->default(now()); // If you want timestamps
                $table->unsignedBigInteger("disable_user");
                $table->timestamp('disable_date'); // If you want timestamps
            });}

        foreach ($insert as $key => $value){
            if (($key == 'input_label_ar' || $key == 'input_label_en') &&  $key != ''){

                $columnExists = DB::select("SHOW COLUMNS FROM {$tableNameInputs} LIKE '{$value}'");
                if (!$columnExists) {
                    Schema::table($tableNameInputs, function (Blueprint  $table) use ($value,$insert,$tableNameInputs,$id,$foreign_key) {
                        switch($insert['column_type']){
                            case "STRING":
                                $table->string($value)->nullable()->after($foreign_key);
                                break;

                            case "INT":
                                $table->integer($value)->nullable()->after($foreign_key);
                                break;

                            default:
                                $table->text($value)->nullable()->after($foreign_key);
                                break;
                        }
                    });
                }

            }
        }


    }
}
