<?php

namespace App\Models\Sales;

use Illuminate\Database\Eloquent\Model;
use DB;

class Client extends Model
{

    protected $primaryKey = 'client_id';

    public static $main_table = 'clients';
    public $table             = 'clients';

    public static $rules = array(
        'name_en'               => 'required|string' ,
        'name_ar'               => 'required|string' ,
        'mobile'                => 'required|string' ,
        'vat_register_number'   => 'required|string' ,
    );



    public static function all_clients($params = null)
    {
        $query =  DB::table(self::$main_table);

        if( isset($params['lang']) )
            $query->selectRaw('client_id as id , name_'.$params['lang'].' as name  , mobile , address ,account_tree_id , client_type , id_number , email , vat_register_number');

        if(isset($params['active']))
            $query->where('client_active' , $params['active'] );


        if(isset($params['word']) && strlen($params['word']) >  0){

            $query->where(function ($stmt) use($params) {
                $stmt->where('name_en' , 'LIKE' , "%{$params['word']}%")
                    ->orWhere('name_ar' , 'LIKE' , "%{$params['word']}%");
            });

        }


        if(isset($params['rows'])){
            $data = $query->paginate($params['rows'], ['*'], 'page', $params['page'] ?? 1);
        }else{
            $data = $query->get();
        }

        return $data;
    }

    public static function get_client($id , $lang = null)
    {
        $query = DB::table(self::$main_table)
            ->where('client_id' , $id);

        if($lang != null){
            $query->selectRaw('client_id as id , name_'.$lang.' as name  , mobile , address ,  account_tree_id , client_type , id_number , email , vat_register_number');
        }

        $data = $query->first();

        return $data;
    }

    public static function add_client($seed)
    {
        return DB::table(self::$main_table)->insertGetId($seed);
    }

    public static function update_client($seed ,  $id)
    {
        return DB::table(self::$main_table)->where('client_id' , $id )->update($seed);
    }

    public static function delete_client($id)
    {
        return DB::table(self::$main_table)->where('client_id' , $id )->update( array('client_active' => '0' , 'disable_date' => date("Y-m-d H:i:s") , 'disable_user' => auth()->user()->id));
    }
}
