<?php

namespace App\Models\Trans;

use Illuminate\Database\Eloquent\Model;
use DB;

class ContainerDamage extends Model
{

    protected $primaryKey = 'container_id';

    public static $main_table = 'containers';

    public static $rules = array(
        'container_name_en'               => 'required|string' ,
        'container_name_ar'               => 'required|string' 
    );



    public static function all_containers($params = null)
    {
        $query =  DB::table(self::$main_table)
            ->join('customers' , self::$main_table.'.customer_id' , '=' , 'customers.customer_id' );

         

        if(isset($params['active']))
            $query->where('container_active' , $params['active'] );


        if(isset($params['customer']))
            $query->where( self::$main_table.'.customer_id' , $params['customer'] );


        if(isset($params['customer_pay']))
            $query->where( self::$main_table.'.customer_pay' , $params['customer_pay'] );

        if(isset($params['invoice_id']))
            $query->where( self::$main_table.'.invoice_id' , $params['invoice_id'] );
        


        if(isset($params['word']) && strlen($params['word']) >  0){

            $query->where(function ($stmt) use($params) {
                $stmt->where('name_en' , 'LIKE' , "%{$params['word']}%")
                    ->orWhere('name_ar' , 'LIKE' , "%{$params['word']}%");
            });

        }


        if(isset($params['rows'])){
            $data = $query->paginate($params['rows'], ['*'], 'page', $params['page'] ?? 1);
        }else{
            $data = $query->get();
        }

        return $data;
    }

    public static function get_container($id , $lang = null)
    {
        $query = DB::table(self::$main_table)
            ->where('container_id' , $id);

        if($lang != null){
            $query->selectRaw('container_id as id , container_name_'.$lang.' as name '); 
        }

        $data = $query->first();

        return $data;
    }


    public static function get_status($lang)
    {
        return DB::table('container_status')
            ->selectRaw('container_status_id as id , container_status_name_'.$lang.' as name ')
            ->get();

    }


    public static function add_container($seed)
    {
        return DB::table(self::$main_table)->insertGetId($seed);
    }

    public static function update_container($seed ,  $id)
    {
        return DB::table(self::$main_table)->where('container_id' , $id )->update($seed);
    }

    public static function delete_container($id)
    {
        return DB::table(self::$main_table)->where('container_id' , $id )->update( array('container_active' => '0' , 'disable_date' => date("Y-m-d H:i:s") , 'disable_user' => auth()->user()->id));
    }
}
