<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStocktakingDTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stocktaking_d', function (Blueprint $table) {
            $table->increments('stocktaking_d_id');
            $table->integer('stocktaking_m_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('sub_category_id')->nullable();
            $table->double('gold_weight')->nullable();
            $table->double('diamond_weight')->nullable();
            $table->double('stone_weight')->nullable();
            $table->double('current_balance')->nullable();
            $table->double('stocktaking_balance')->nullable();
            $table->integer('pieces_count')->nullable();
            $table->integer('caliber_id')->nullable();
            $table->integer('shape_id')->nullable();
            $table->integer('color_id')->nullable();
            $table->integer('quality_id')->nullable();
            $table->integer('clarity_id')->nullable();
            $table->string('item_code')->nullable();
            $table->double('weight')->nullable();
            $table->double('purchase_cost')->nullable();
            $table->double('sell_cost')->nullable();
            $table->double('min_sell_cost')->nullable();
            $table->text('name_en')->nullable();
            $table->text('name_ar')->nullable();
            $table->text('image')->nullable();
            $table->integer('item_status_id')->nullable();
            $table->dateTime('add_date')->nullable();
            $table->integer('add_user')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stocking_d');
    }
}
