<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStockTransactionMTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_transaction_m', function (Blueprint $table) {
            $table->increments('stock_transaction_m_id');
            $table->integer('stock_transaction_type_id')->nullable();
            $table->integer('stock_transaction_code')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('finance_year_id')->nullable();
            $table->integer('year_ser')->nullable();
            $table->integer('month_ser')->nullable();
            $table->integer('branch_ser')->nullable();
            $table->integer('daily_journal_m_id')->nullable();
            $table->date('stock_transaction_date')->nullable();
            $table->integer('source')->nullable();
            $table->integer('partner_id')->nullable();
            $table->text('name_en')->nullable();
            $table->text('name_ar')->nullable();
            $table->double('total_18')->nullable();
            $table->double('total_21')->nullable();
            $table->double('total_24')->nullable();
            $table->double('grand_total_in_18')->nullable();
            $table->double('grand_total_in_21')->nullable();
            $table->double('grand_total_in_24')->nullable();
            $table->dateTime('add_date')->nullable();
            $table->integer('add_user')->nullable();
            $table->tinyInteger('stock_transaction_status')->nullable();
            $table->tinyInteger('stock_transaction_active')->nullable();
            $table->dateTime('disable_date')->nullable();
            $table->integer('disable_user')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stock_transaction_m');
    }
}
