<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Print</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

    <style type="text/css">
        @if($data['lang'] == 'ar')
            * {
                direction: rtl;
            }

            .item_a{
                border-left: 0px;
                border-bottom: 0px;
            }
            .item_b{
                border-right: 0px;
                border-bottom: 0px;
            }
            .item_c{
                border-top: 0px;
            }


        @else
            .item_a{
                border-right: 0px;
                border-bottom: 0px;
            }
            .item_b{
                border-left: 0px;
                border-bottom: 0px;
            }
            .item_c{
                border-top: 0px;
            }

        @endif
        page_break { page-break-before: always; }
        *{
            font-family: 'dejavu sans', sans-serif;
        }
        .main_div{
            height: auto;
            margin: 0 auto;
            border: 1px solid #000;
            padding: 10px;
            position: relative;
        }
        .logo_cont{
            max-height: 80px;
            text-align: center;
        }
        thead{
            background-color: rgb(237 , 235, 235);
        }
        table{
            width: 100%;
            border-spacing: 0;
            border-collapse: collapse;
             -webkit-box-sizing: border-box;
               -moz-box-sizing: border-box;
                    box-sizing: border-box;
            margin-bottom: 10px;
            border: 1px solid #ddd;
        }
        th , td{
            text-align: center;
            border: 1px solid #ddd;
            padding:5px;
        }
        td{
            font-size: 14px;
        }
        th{
            font-size: 16px;
        }
        .title{
            text-align: left;
            font-weight: 900;
        }
        .no_align{
            text-align: right;
        }
        .no_border{
            border:0px;
        }

        
    </style>
</head>
<body>
    <div class="main_div" style="">
        <table  class="table " style="border: 0px">
            <tr>
                <td  class="no_border" style="width: 25%">
                    ركة جوياس 
                    <br>
                    فرع افراح وتهاني
                </td>
                <td  class="no_border" style="width: 50%">
                    <div class="logo_cont ">
                        <img src="{{ ($data['logo']) }}" class="img-responsive" height="75" alt="Image" style="">
                    </div>
                    <div>
                        {{ $data['screen_name']->sub_title }}
                    </div>
                </td>
                <td  class="no_border" style="width: 25%">
                    Joias Company
                    <br>
                    Afrah Wethany Branch
                </td>
            </tr>
        </table>

        <hr>

        <table class="table table-bordered table-hover "  id="main_table_body" >
            <thead>
                <tr>
                    <th rowspan="2" >{{ trans('main.journal_code') }}</th>
                    <th rowspan="2">{{ trans('main.journal_date') }}</th>
                    <th colspan="2" >{{ trans('main.first_duration_balance') }}</th>
                    <th colspan="2" >{{ trans('main.in_duration_balance') }}</th>
                    <th colspan="2" >{{ trans('main.end_duration_balance') }}</th>
                </tr>
                <tr>
                    <th >{{ trans('main.debit') }}</th>
                    <th >{{ trans('main.credit') }}</th>
                    <th >{{ trans('main.debit') }}</th>
                    <th >{{ trans('main.credit') }}</th>
                    <th >{{ trans('main.debit') }}</th>
                    <th >{{ trans('main.credit') }}</th>
                </tr>
            </thead>
            <tbody >
                @foreach($data['first'] as $key => $row)
                    <?php
                        if($row->total < 0 ){
                            $first_debit    = 0;
                            $first_credit   = $row->total * -1;
                        }else{
                            $first_debit    = $row->total;
                            $first_credit   = 0;
                        }

                        $final_debit    = $data['actions'][$key]->debit + $first_debit ;
                        $final_credit   = $data['actions'][$key]->credit + $first_credit ;

                        $final = $final_debit - $final_credit;
                        if($final < 0 ){
                            $final_debit    = 0;
                            $final_credit   = $final ;
                        }else{
                            $final_debit    = $final ;
                            $final_credit   = 0;
                        }
                    ?>
                <tr>
                    <td>{{ $row->account_code }}</td>
                    <td> @if($row->account_type == 1)  <b style="color:black">{{ $row->name }}</b> @else {{ $row->name }} @endif  </td>
                    <td>{{ fix_number($first_debit , 1) }}</td>
                    <td>{{ fix_number($first_credit ,1) }}</td>
                    <td>{{ fix_number($data['actions'][$key]->debit , 1) }}</td>
                    <td>{{ fix_number($data['actions'][$key]->credit , 1) }}</td>
                    <td>{{ fix_number($final_debit , 1) }}</td>
                    <td>{{ fix_number($final_credit , 1) }}</td>
                </tr>
                @endforeach
            </tbody>
            <thead>
                <tr>
                    <th colspan="2">{{ trans('main.total') }}</th>
                    <th>{{ fix_number($data['first_debit'] , 1) }}</th>
                    <th>{{ fix_number($data['first_credit'] , 1) }}</th>
                    <th>{{ fix_number($data['actions_debit'] , 1) }}</th>
                    <th>{{ fix_number($data['actions_credit'] , 1) }}</th>
                    <th>{{ fix_number($data['actions_credit'] + $data['first_debit'] , 1) }}</th>
                    <th>{{ fix_number($data['actions_credit'] + $data['first_credit'] , 1) }}</th>

                </tr>
            </thead>
        </table>
    </div>
</body>

</html>