@extends('Layouts.report')
@section('content')

<table class="table table-bordered table-hover table-striped"  id="main_table_body" >
    <thead class="report-header">
        <tr>
            <th colspan="11">
                <table  class="table d" >
                    <tr>
                        <td width="25%">
                            @yield('print_label_ar')
                            <p>
                                @yield('vat_number_ar')
                            </p>
                        </td>
                        <td width="50%">
                            <div class="logo_cont">
                                <img src="{{ ($data['logo']) }}" class="img-responsive" height="120" alt="Image" style="">
                            </div>
                        </td>
                        <td width="25%">
                            @yield('print_label_en')
                            <p>
                                @yield('vat_number_en')
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td style="text-align:center">
                            @yield('title')
                            
                            <h5>{{ $data['params_text'] }} </h5>
                        </td>
                        <td></td>
                    </tr>
                </table>
            </th>
        </tr>
        <tr>
            <th >{{ trans('main.type') }}</th>
            <th >{{ trans('main.sales_invoice') }}</th>
            <th >{{ trans('main.return_invoice') }}</th>
            <th >{{ trans('main.sales_agent') }}</th>
            <th >{{ trans('main.date') }}</th>
            <th >{{ trans('main.item') }}</th>
            <th >{{ trans('main.caliber') }}</th>
            <th >{{ trans('main.weight') }}</th>
            <th >{{ trans('main.price') }}</th>
            <th >{{ trans('main.vat') }}</th>
            <th >{{ trans('main.grand_total') }}</th>
        </tr>
    </thead>
    <tbody class="report-container">
        @foreach($data['data'] as $row)
            @if($row->type != 4)
            <tr>
                <td>
                    @if($row->type == 1)
                        {{ trans('main.sales_invoice') }}
                    @elseif($row->type == 2)
                        {{ trans('main.notice_creditor') }}
                    @elseif($row->type == 3)
                        {{ trans('main.notice_debtor') }}
                    @else
                        {{ trans('main.return_invoice') }}
                    @endif
                </td>
                <td>{{ $row->s_m_id }}</td>
                <td>{{ $row->r_m_id ?? 0 }}</td>
                <td>{{ $row->sales_agent_name ?? '' }}</td>
                <td>{{ $row->invoice_date }}</td>
                <td>{{ $row->sub_category_title }}</td>
                <td>{{ $row->category_id }}</td>

                @if( in_array($row->type , [1,3]))
                    <td>{{ $row->weight }}</td>
                    <td>{{ fix_number($row->price , 1) }}</td>
                    <td>{{ fix_number($row->total_vat , 1) }}</td>
                    <td>{{ fix_number($row->grand_total , 1) }}</td>
                @else
                    <td>( {{ $row->weight }} )</td>
                    <td>( {{ fix_number($row->price , 1) }} )</td>
                    <td>( {{ fix_number($row->total_vat , 1) }} ) </td>
                    <td>( {{ fix_number($row->grand_total , 1) }} ) </td>
                @endif
            </tr>
            @endif
        @endforeach
    </tbody>
    <tfoot>
        <th>-</th>
        <th>{{ trans('main.total') }}</th>
        <th>-</th>
        <th>-</th>
        <th>-</th>
        <th>-</th>
        <th>-</th>
        <th>{{  ( collect($data['data'])->where('sumtion' , 1)->sum('weight') - collect($data['data'])->where('sumtion' , 2)->sum('weight') ) }}</th>
        <th>{{ fix_number( ( collect($data['data'])->where('sumtion' , 1)->sum('price') - collect($data['data'])->where('sumtion' , 2)->sum('price') ), 1) }}</th>
        <th>{{ fix_number( ( collect($data['data'])->where('sumtion' , 1)->sum('total_vat') - collect($data['data'])->where('sumtion' , 2)->sum('total_vat') ), 1) }}</th>
        <th>{{ fix_number( ( collect($data['data'])->where('sumtion' , 1)->sum('grand_total') - collect($data['data'])->where('sumtion' , 2)->sum('grand_total') ), 1) }}</th>
    </tfoot>
    
</table>

@endsection