@extends('Layouts.report')
@section('content')

<table class="table table-bordered table-hover table-striped"  id="main_table_body" >
    <thead class="report-header">
        <tr>
            <th colspan="3">
                <table  class="table d no_border" >
                    <tr>
                        <td width="25%">
                            {!! $data['branch_data']->print_label_ar !!}
                        </td>
                        <td width="50%">
                            <div class="logo_cont">
                                <img src="{{ ($data['logo']) }}" class="img-responsive" height="120" alt="Image" style="">
                            </div>
                        </td>
                        <td width="25%">
                            {!! $data['branch_data']->print_label_en !!}
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td style="text-align:center">
                            @yield('title')
                            <h5>{{ $data['params_text'] ?? '' }} </h5>
                        </td>
                        <td></td>
                    </tr>
                </table>
            </th>
        </tr>
        <tr class="report-header-names">
            <th >{{ trans('main.caliber') }}</th>    
            <th >{{ trans('main.item') }}</th>
            <th >{{ trans('main.weight') }}</th>
        </tr>
    </thead>
    <tbody class="report-container">
        @foreach($data['report'] as $row)
            <tr>
                <td>{{ $row->category_title }}</td>
                <td>{{ $row->sub_category_title }}</td>
                <td>{{ $row->stock }}</td>
            </tr>
        @endforeach
    </tbody>
    <tfoot>
        <th>-</th>
        <th>{{ count($data['report']) }}</th>
        <th>{{ number_format( collect($data['report'])->sum('weight') , 2 , '.' , ',' ) }}</th>
    </tfoot>
    
</table>

@endsection