<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Print</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

    <style type="text/css">
        * {
            direction: rtl;
            font-size:20px;
            font-weight:300;
        }
        body , html{
            margin:0;
            padding:0;
        }
        page_break { page-break-before: always; }

        .main_div{
            width: 100%;
            min-height:297mm;
            font-size: 20px;
            padding:0px;
            position: relative;
            margin:0 auto;
            text-align: center;
            @if(in_array($data['type'] , ['image' , 'pdf']))
                min-height:370mm;
            @endif
        }
        .line_div{
            margin:5px 0px 5px 10px;
        }
        .logo_cont{
            max-height: 120px;
            text-align: center;
        }
        p , h1 , h2 , h3 , h4 , h5 , h6{
            /*color: rgb(58, 75, 111);*/
            padding: 0px;
            margin: 0px;
        }
        thead{
            /*background-color: rgb(231 , 247, 253);*/
        }
        table{
            width: 100%;
            border-spacing: 0;
            border-collapse: collapse;
             -webkit-box-sizing: border-box;
               -moz-box-sizing: border-box;
                    box-sizing: border-box;
            margin: 3px;
        }
        .table-bordered th , .table-bordered td{
            text-align: center;
            border: 1px solid #000;
            padding:1px 1px 1px 1px;
        }
        /*th , td{*/
        /*    text-align: center;*/
        /*    padding:0px;*/
        /*}*/

      
        .no_align{
            text-align: right;
        }
        .no_border , .no_border th , .no_border td{
            border:0px;
        }


        .footer{
            position: absolute;
            width: 100%;
            bottom: 0;
            left:7px;
            background-color: #222F77 !important;
            text-align: center !important;
            color: white !important;

        }
        
        



    </style>
</head>
<body style="">
    <div class="main_div" style="backgroud-color:red" >
        <header style="padding:10px 5px ;background-color: #222F77;">
            <table  class="table " style="border: 0px;color:white;">
                <tr>
                    <td  class="no_border" style="width: 40%;text-align: right;padding:5px">
                        {!! $data['branch_data']->print_label_ar ?? '' !!}
                    </td>
                    <td  class="no_border" style="width: 20%">
                        <div class="logo_cont ">
                            <img src="{{ ($data['logo']) }}" class="img-responsive"  alt="Image" style="max-width: 100%;max-height:70px;    border-radius: 50%;">
                        </div>
                        <div>
                            {{ $data['print_title'] ?? '' }}
                        </div>
                    </td>
                    <td  class="no_border" style="width: 40%;text-align: left;padding:5px">
                        {!! $data['branch_data']->print_label_en ?? '' !!}
                    </td>
                </tr>
            </table>
        </header>
        <br>
        <div class="line_div" style="">
            <table >
                <tr>
                    <td width="33%"></td>
                    <td width="33%">
                        <table class="table-bordered">
                            <tr>
                                <td width="50%">
                                    فاتورة ضريبة
                                    <br>
                                    VAT Invoice
                                </td>
                                <td width="50%">
                                    {{ $data['master']->id }}
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td width="33%">Date : {{ $data['master']->invoice_date }}</td>
                </tr>
                <tr>
                    <td style="text-align:right;" colspan="3">
                        <table style="width:100%">
                            <tr>
                                <td width="150px">السادة</td>
                                <td width="20px">/</td>
                                <td style="text-align:right;">{{ $data['master']->customer_name }}  </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="text-align:right;" colspan="3">
                        <table style="width:100%">
                            <tr>
                                <td width="150px">الرقم الضريبي</td>
                                <td width="20px">/</td>
                                <td style="text-align:right;">{{ $data['master']->vat_register_number }}  </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="text-align:right;" colspan="3">
                        <table style="width:100%">
                            <tr>
                                <td width="150px">العنوان </td>
                                <td width="20px">/</td>
                                <td style="text-align:right;">{{ $data['master']->address }}  </td>
                            </tr>
                        </table>
                    </td>
                </tr>
              
            </table>
        </div>
        <div class="line_div" style="">
        </div>
        <div class="line_div">
            <table style="  ">
                <tr>
                    <td width="width:54%;" style="vertical-align: baseline;">
                        <table class="table-bordered">
                            <tr>
                                <td width="25%">المبلغ</td>
                                <td>البيان</td>
                            </tr>
                            @foreach($data['details'] as $row)
                            
                            <?php if($row->amount_without_vat  <= 0 ){ continue; } ?>
                            <tr>
                                <td>
                                    {{ number_format( $row->amount_without_vat  , 2 ,'.' , ',' ) }}
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;">{{ $row->revenue_name_ar }}</td>
                                            <td width="50%" style="text-align:left;border:0px;">{{ $row->revenue_name_en }}</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            
                            @endforeach
                            
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['details'])->where('revenue_id' , 5 )->sum('amount_without_vat') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">اجور النقل</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">Transporters </td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['details'])->where('revenue_id' , 2 )->sum('amount_without_vat') , 2 ,'.' , ',' ) }}-->
                                    
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">اجور عمال</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">Labor Charges</td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                           
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        <?php $subtotal = collect($data['details'])->where('revenue_id' , 1 )->sum('amount_without_vat') + collect($data['details'])->where('revenue_id' , 2 )->sum('amount_without_vat') + collect($data['details'])->where('revenue_id' , 5 )->sum('amount_without_vat'); ?>-->
                            <!--        {{ number_format( ( collect($data['details'])->sum('amount_without_vat') - $subtotal ) , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">خدمات اخري</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">Other Charges</td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            <tr>
                                <td>
                                    {{ number_format(collect($data['details'])->sum('amount_without_vat') , 2 ,'.' , ',' ) }}
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;">الاجمالي قبل الضريبه</td>
                                            <td width="50%" style="text-align:left;border:0px;">Total Excl. VAT</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>

                                <td>
                                    {{ number_format(collect($data['details'])->sum('vat_amount') , 2 ,'.' , ',' ) }}
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> الضريبه المضافه 15٪</td>
                                            <td width="50%" style="text-align:left;border:0px;">VAT 15%</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    {{ number_format(collect($data['details'])->sum('amount_with_vat') , 2 ,'.' , ',' ) }}
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;font-size:18px;font-weight:300;">االاجمالي شامل الضريبه</td>
                                            <td width="50%" style="text-align:left;border:0px;font-size:18px;font-weight:300;">Total Incl. VAT</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <table class="table-bordered"  >
                            <tr>
                                <td colspan="2">
                                    عمليات التخليص
                                </td>
                            </tr>
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['delegate_details'])->where('expense_code_id' , 1)->sum('amount') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">رسوم جمركية</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">Customes Duty</td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['delegate_details'])->where('expense_code_id' , 2)->sum('amount') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">اذن تسليم</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">D/L </td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['delegate_details'])->where('expense_code_id' , 6)->sum('amount') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;"> اجور مواني + تفريغ</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">Port Charges</td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['delegate_details'])->whereNotIn('expense_code_id' , [1,2,6,4,9])->sum('amount') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">رسوم اخري</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">Other Charges</td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['delegate_details'])->where('expense_code_id' , 4)->sum('amount') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">تجبير بوليصة</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">B/I Exchanges</td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            
                            <!--<tr>-->
                            <!--    <td>-->
                            <!--        {{ number_format(collect($data['delegate_details'])->where('expense_code_id' , 9)->sum('amount') , 2 ,'.' , ',' ) }}-->
                            <!--    </td>-->
                            <!--    <td>-->
                            <!--        <table style="border:0px;width:97%;margin:0 auto;">-->
                            <!--            <tr>-->
                            <!--                <td width="50%" style="text-align:right;border:0px;">طبالي</td>-->
                            <!--                <td width="50%" style="text-align:left;border:0px;">None Pallets </td>-->
                            <!--            </tr>-->
                            <!--        </table>-->
                            <!--    </td>-->
                            <!--</tr>-->
                            
                            @foreach($data['delegate_details'] as $row)
                                @if($row->amount > 0 )
                                    <tr>
                                        <td width="25%">
                                            {{ number_format($row->amount , 2 ,'.' , ',' ) }}
                                        </td>
                                        <td>
                                            <table style="border:0px;width:97%;margin:0 auto;">
                                                <tr>
                                                    <td width="50%" style="text-align:right;border:0px;">{{ $row->name_ar }}</td>
                                                    <td width="50%" style="text-align:left;border:0px;">{{ $row->name_en }} </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                @endif
                            @endforeach
                            <tr>
                                <td width="25%">
                                    {{ number_format(collect($data['delegate_details'])->sum('amount') , 2 ,'.' , ',' ) }}
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;">اجمالي العمليات</td>
                                            <td width="50%" style="text-align:left;border:0px;">Total </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <table class="table-bordered"  >
                            <tr>
                                <td width="25%">
                                    {{ number_format(collect($data['delegate_details'])->sum('amount') + collect($data['details'])->sum('amount_with_vat') , 2 ,'.' , ',' ) }}
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;">الاجمالي </td>
                                            <td width="50%" style="text-align:left;border:0px;">Total </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            
                        </table>
                    </td>
                    <td width="1%"></td>
                    <td width="45%" style="vertical-align: baseline;table-layout:fixed;">
                        <table class="table-bordered"  > 
                            <tr>
                                <td colspan="2">بيانات المعاملة</td>
                            </tr>
             
                            <tr>
                                <td width="25%">{{ $data['master']->clearance_id }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> رقم المعامله </td>
                                            <td width="50%" style="text-align:left;border:0px;">Ser No</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    
                                    <div style="width:100px;max-width:100px;overflow: hidden;">
                                        {{ $data['master']->shipping_policy_no }}
                                    </div>
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> رقم البوليصة </td>
                                            <td width="50%" style="text-align:left;border:0px;">Bill No</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->first_container ?? '' }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> رقم الحاوية </td>
                                            <td width="50%" style="text-align:left;border:0px;">Cont. No</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>    
                                    @if($data['master']->container_small > 0 )
                                        <div>{{ $data['master']->container_small }} * 20 </div>
                                    @endif
                                    @if($data['master']->container_big > 0 )
                                        <div>{{ $data['master']->container_big }} * 40 </div>
                                    @endif
                                    </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> عدد الحاويات </td>
                                            <td width="50%" style="text-align:left;border:0px;">Cont. Qty</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->weight }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> الوزن </td>
                                            <td width="50%" style="text-align:left;border:0px;">Weight</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td width="25%" style="font-size:8px">{{ $data['master']->exporting_company }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> الشركة المصدرة </td>
                                            <td width="50%" style="text-align:left;border:0px;">Export Co</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->customs_declaration_number }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> رقم البيان </td>
                                            <td width="50%" style="text-align:left;border:0px;">Bayan No</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->customs_declaration_date }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;">تاريخ البيان </td>
                                            <td width="50%" style="text-align:left;border:0px;">Bayan Date</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td width="25%">
                                    <div style="width:100px;max-width:100px;overflow: hidden;">
                                        {{ $data['goods_type'] }}
                                    </div>
                                </td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> نوع البضاعة </td>
                                            <td width="50%" style="text-align:left;border:0px;">Goods Type</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->action_date }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> تاريخ المستندات </td>
                                            <td width="50%" style="text-align:left;border:0px;">Doc Date</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->mainfest_date }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> وصول الدمام </td>
                                            <td width="50%" style="text-align:left;border:0px;font-size:13px;font-weight:900">Dammam Arrival</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>{{ $data['master']->unloading_date }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;"> وصول الرياض </td>
                                            <td width="50%" style="text-align:left;border:0px;">Riyadh Arrival</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                     
                            <tr>
                                <td>{{ $data['master']->expiry_date }}</td>
                                <td>
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="50%" style="text-align:right;border:0px;">تاريخ الانتهاء</td>
                                            <td width="50%" style="text-align:left;border:0px;">Exp Date</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="30%" style="text-align:right;border:0px;"> بنك الراجحي</td>
                                            <td width="70%" style="text-align:left;border:0px;">SA8980000261608010101511</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <table style="border:0px;width:97%;margin:0 auto;">
                                        <tr>
                                            <td width="30%" style="text-align:right;border:0px;"> بنك البلاد</td>
                                            <td width="70%" style="text-align:left;border:0px;">SA2415000441128791670006</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                        <table>
                            <tr>
                                <td colspan="2">
                                    <br>
                                    <img src="{{ $data['qrcode'] }}" alt="barcode" style="width: 100px;"  />
                                </td>
                            </tr>
                            
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        <div class="line_div">
            <table>
                <tr>
                    <td width="100%" style="">
                        <div style="background-image: linear-gradient(to right, black 33%, rgba(255,255,255,0.5) 0%);background-position: bottom;background-size: 5px 2px;background-repeat: repeat-x;width:auto;display:inline;">مبلغ وقدره {{ $data['tafqeet'] }} The sum of</div>
                    </td>
                </tr>
            </table>
            <div style="width:100%;height:3mm;"></div>
            <table >
                <tr>
                    <td width="33%">المحاسب Accountant <br>  .............</td>
                    <td width="33%">المستلم Receiver <br>  .............</td>
                    <td width="33%">المدير Manager <br>  .............</td>
                </tr>
            </table>
            
        </div>
        
        @if(in_array($data['type'] , ['image','print','html' , 'pdf']))
        <div class="footer" style="width:100;text-align:center;background-color:#222F77;color:white;padding:5px">
            <div >
                Riyadh - Malaz - Prince fahad Bin Ibrahim Al Saud St - Mobile: 0504288920
                <br>E-mail: albarrak4cc@gmail.com
            </div>
        </div>
        @endif
    </div>
    
    @if(isset($data['attachments']))
        @foreach($data['attachments'] as $img)
            <div class="line_div">
                <img src="{{ public_path($img) }}" style="width:100%;max-height:300mm;" />
            </div>
        @endforeach
    @endif
    
    <script>
        window.onload = function() { window.print(); }
    </script>
</body>
</html>
