<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"
        name="viewport">
    <meta content="ie=edge" http-equiv="X-UA-Compatible">
    <title>Print</title>
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />

    <style type="text/css" media="print">
        * {
            direction: rtl;
            /*-webkit-print-color-adjust:exact !important;*/
            /*print-color-adjust:exact !important;*/
            /*font-weight: bold;*/
            page-break-before: avoid;

        }
        @page {
            size: A4;
            margin: 0;
        }



        @media print{
            @page {size: landscape}

                .pagebreak { page-break-before: avoid; } /* page-break-after works, as well */

        }
        body {

            font-family: Arial, sans-serif;
            display: flex;
            flex-direction: column;
            justify-content: center;
            margin: 0;
        }
        body header {
            display: flex;
            justify-content: space-between;
            background-color: #579667;
            color: #fff;
            padding: 20px;
            /*font-weight: lighter;*/
        }
        body header section.right {
            justify-content: center;
            align-self: center;
            width: 40%;
        }
        body header section.right h2, body header section.right h3 {
            margin: 5px 0;
            margin: 5px 0;
            text-align: right;
            margin: 0;
            font-weight: lighter;
            font-size: medium;
            padding: 5px 0;
        }
        body header section.right h2 span, body header section.right h3 span {
            /*font-weight: normal;*/
        }
        body header div.img {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            width: 100px;
            height: 100px;
            border-radius: 50%;
            background-image: url({{ ($data['logo']) }});
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
        body header div.img img {
            max-width: 100%;
            height: auto;
            align-self: center;
            flex-direction: column;
        }
        body header section.left {
            display: flex;
            justify-content: center;
            flex-direction: column;
            align-items: end;
            width: 40%;
            height: 100%;
        }
        /*body header section.left h1 {*/
        /*    text-align: left;*/
        /*    font-size: 20px;*/
        /*    font-weight: 500;*/
        /*}*/
        /*body header section.left h2 {*/
        /*    text-align: right;*/
        /*    margin: 0;*/
        /*    font-weight: lighter;*/
        /*    font-size: medium;*/
        /*}*/
        /*body header section.left h3:nth-of-type(1), body header section.left h3:nth-of-type(2) {*/
        /*    margin: 5px 0;*/
        /*    text-align: right;*/
        /*    margin: 0;*/
        /*    font-weight: lighter;*/
        /*    font-size: medium;*/
        /*    padding: 5px 0;*/
        /*}*/
        /*body header section.left h3:nth-of-type(1) span, body header section.left h3:nth-of-type(2) span {*/
        /*    font-weight: normal;*/
        /*}*/

        body header section.left h3,h5,p {
            text-align: right;
            margin: 0;
            /*font-weight: lighter;*/
            font-size: medium;
        }
        body section.container {
            width: 90%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-content: center;
            align-items: center;
            align-self: center;
        }
        body section.container section.header {
            color: #423e3e;
            width: 100%;
        }
        body section.container section.header div.top {
            display: flex;
            justify-content: space-between;
            padding: 10px;
            /*font-weight: bold;*/
            align-items: center;
        }
        body section.container section.header div.top h1 {
            margin: 0;
        }
        body section.container section.header div.top div.tax_invoice {
            display: flex;
            justify-content: space-between;
            margin: 10px 0;
            width: 25%;
        }
        body section.container section.header div.top div.tax_invoice div.tax_invoice_label {
            flex-direction: column;
        }
        body section.container section.header div.top div.tax_invoice div.tax_invoice_label, body section.container section.header div.top div.tax_invoice div.tax_invoice_value {
            display: flex;
            flex: 1;
            text-align: center;
            padding: 5px;
            border: 2px solid #423e3e;
            justify-content: center;
            align-items: center;
        }
        body section.container section.header div.top div.tax_invoice div.tax_invoice_label:first-child, body section.container section.header div.top div.tax_invoice div.tax_invoice_value:first-child {
            margin-right: 10px;
        }
        body section.container section.header div.top div.date {
            margin: 10px 0;
        }
        body section.container section.header div.bottom h1:nth-of-type(1), body section.container section.header div.bottom h1:nth-of-type(2), body section.container section.header div.bottom h1:nth-of-type(3) {
            margin: 10px 0;
        }
        body section.container section.tables {
            width: 100%;
            display: flex;
            justify-content: space-between;
        }
        body section.container section.tables table {
            border-collapse: collapse;
            border-spacing: 0;
        }
        body section.container section.tables table tbody tr td:nth-of-type(2) {
            display: flex;
            justify-content: space-between;
        }
        body section.container section.tables table.right, body section.container section.tables div.table_left {
            width: 48%;
        }
        body section.container section.tables table.right table.left, body section.container section.tables div.table_left table.left {
            width: 100%;
        }
        body section.container section.tables table.right table.left tbody tr.banks td div, body section.container section.tables div.table_left table.left tbody tr.banks td div {
            border-collapse: collapse;
            border-spacing: 0;
            display: flex;
            justify-content: space-between;
        }
        body section.container section.tables table.right th, body section.container section.tables table.right td, body section.container section.tables div.table_left th, body section.container section.tables div.table_left td {
            padding: 10px;
            text-align: center;
            border: 1px solid #423e3e;
        }
        body section.container section.tables table.right th span, body section.container section.tables table.right td span, body section.container section.tables div.table_left th span, body section.container section.tables div.table_left td span {
            /*font-weight: normal;*/
        }
        body section.container section.tables table.right .qr_code, body section.container section.tables div.table_left .qr_code {
            display: flex;
            justify-content: center;
        }
        body section.container section.tables table.right .qr_code span, body section.container section.tables div.table_left .qr_code span {
            margin: 20px;
            /*background-color: #423e3e;*/
            width: 250px;
            height: 250px;
        }
        body section.container section.bottom {
            width: 100%;
            color: #423e3e;
        }
        body section.container section.bottom div.total {
            padding: 20px 0;
            margin-top: 20px;
            display: flex;
            justify-content: space-between;
        }
        body section.container section.bottom div.total span:nth-of-type(2) {
            display: inline-block;
            border-bottom: 2px dashed black;
        }
        body section.container section.bottom div.signature {
            display: flex;
            justify-content: space-between;
        }
        body section.container section.bottom div.signature div.accountant, body section.container section.bottom div.signature div.receiver, body section.container section.bottom div.signature div.manager {
            text-align: center;
        }
        body section.container section.bottom div.signature div.accountant div.title, body section.container section.bottom div.signature div.receiver div.title, body section.container section.bottom div.signature div.manager div.title {
            display: flex;
            padding-bottom: 50px;
            border-bottom: 2px dashed #423e3e;
            margin-bottom: 50px;
        }
        body section.container section.bottom div.signature div.accountant div.title span.ar, body section.container section.bottom div.signature div.accountant div.title span.en, body section.container section.bottom div.signature div.receiver div.title span.ar, body section.container section.bottom div.signature div.receiver div.title span.en, body section.container section.bottom div.signature div.manager div.title span.ar, body section.container section.bottom div.signature div.manager div.title span.en {
            display: block;
            /*font-weight: bolder;*/
            padding: 10px;
        }
        body footer {
            background-color: #579667;
            width: 100%;
            color: #fff;
            display: flex;
            justify-content: center;
            padding: 25px 0;
        }
        body footer .container {
            display: flex;
            justify-content: space-between;
            width: 70%;
        }
        body footer .container span {
            display: block;
            margin-top: 10px;
        }

    </style>
    <!-- <link rel="stylesheet" href="style.css"> -->

</head>
<body>
<header>
    <section class="right">
        {!! $data['branch_data']->print_label_ar ?? '' !!}
{{--        <h1>مؤسئسة عبداللة عمر البراك للتخليص الجمركي</h1>--}}
{{--        <h2>الرياض طريق عمر بن الخطاب </h2>--}}
{{--        <h3> رقم الرخصة : <span>1365</span></h3>--}}
{{--        <h3> رقم الضريبي : <span>1354444444444465</span></h3>--}}
    </section>
    <div class="img">
        <!-- <img alt="BK" src="Screenshot 2024-01-07 014720.png"> -->
    </div>
    <section class="left">
        {!! $data['branch_data']->print_label_en ?? '' !!}
{{--        <h1>Abdullah Omar Al-Barrak  for customs clearance</h1>--}}
{{--        <h2>Riyadh, Omar Bin Al Khattab Road</h2>--}}
{{--        <h3> license number : <span>1365</span></h3>--}}
{{--        <h3> Tax number : <span>1354444444444465</span></h3>--}}
    </section>
</header>
<section class="container">
    <section class="header">
        <div class="top">
            <h1>12</h1>
            <div class="tax_invoice">
                <div class="tax_invoice_label">
                    <span class="ar"> فاتورة ضريبية</span>
                    <span class="en">  Tax Invoice</span>

                </div>
                <div class="tax_invoice_value">{{ optional($data['master'])->id }}</div>
            </div>
            <div class="date">
                Date <span>{{ $data['master']->action_date }}</span>
            </div>
        </div>
        <div class="bottom">
            <h1> السادة / {{ $data['master']->customer_name }} </h1>
            <h1>الرقم الضريبي / {{ optional($data['master'])->vat_register_number }}</h1>
            <h1>العنوان / {{ optional($data['master'])->address }} </h1>
        </div>
    </section>

    <section class="tables ">
        <table class="right">
            <thead>
            <tr>
                <th>المبلغ</th>
                <th>البيان</th>
            </tr>
            </thead>
            <tbody>
            @if(isset($data['details']))
                @foreach($data['details'] as $row)
                    <tr>
                        <td>
                            @if(number_format($row->amount_with_vat , 2 , '.' , ',') == 0)
                                -
                            @else
                                {{number_format($row->amount_with_vat , 2 , '.' , ',')}}
                            @endif</td>
                        <td>
                            <span class="ar">{{ $row->name_ar }}</span>
                            <span class="en">{{ $row->name_en }}</span>
                        </td>
                    </tr>
                @endforeach
            @endif

{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">اجور تخليص </span>--}}
{{--                    <span class="en">Transporters</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">اجور تخليص </span>--}}
{{--                    <span class="en">Labor Charges</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">اجور تخليص </span>--}}
{{--                    <span class="en">Other Charges</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
            <tr>
                <td>{{ number_format(( $data['delegate_details']->sum('amount') + $data['details']->sum('amount_without_vat') ) , 2 , '.' ,',' ) }}</td>
                <td>
                    <span class="ar">  المجموع قبل الضريبة</span>
                    <span class="en">Total without VAT</span>
                </td>
            </tr>
            <tr>
                <td>{{ number_format( $data['details']->sum('vat_amount'), 2 , '.' ,',' ) }}</td>
                <td>
                    <span class="ar">قيمة الضريبة </span>
                    <span class="en">VAT Amount</span>
                </td>
            </tr>
            <tr>
                <td>{{ number_format(( $data['delegate_details']->sum('amount') + $data['details']->sum('amount_with_vat') ) , 2 , '.' ,',' ) }}</td>
                <td>
                    <span class="ar">القيمة شامل الضريبة</span>
                    <span class="en">Total Invoice with VAT</span>
                </td>
            </tr>
            <tr><td  class="pagebreak" colspan="2">عمليات التخليص</td></tr>
            @if(isset($data['delegate_details']))
                @foreach($data['delegate_details'] as $row)
                    <tr>
                        <td>{{ $row->amount  == 0 ? "-" : number_format($row->amount , 2 , '.' , ',') }}</td>
                        <td>
                            <span class="ar">{{ $row->name_ar }} </span>
                            <span class="en">{{ $row->name_ar }}</span>
                        </td>
                    </tr>
                @endforeach
            @endif
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">رسوم جمركية</span>--}}
{{--                    <span class="en">Brokerage Free</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">اذن تسليم</span>--}}
{{--                    <span class="en">Transporters</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">اجور مواني + تفريغ </span>--}}
{{--                    <span class="en">Labor Charges</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar"> - </span>--}}
{{--                    <span class="en"> </span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>250</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">تجبير بوليصة</span>--}}
{{--                    <span class="en">B/I Exchanges</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td></td>--}}
{{--                <td>--}}
{{--                    <span class="ar">طبالي</span>--}}
{{--                    <span class="en">None Pallets</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>37,292,81</td>--}}
{{--                <td>--}}
{{--                    <span class="ar"> - </span>--}}
{{--                    <span class="en"> </span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td></td>--}}
{{--                <td>--}}
{{--                    <span class="ar"></span>--}}
{{--                    <span class="en">39,611</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>39,680,81</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">اجمالي العمليات</span>--}}
{{--                    <span class="en">Total</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
{{--            <tr>--}}
{{--                <td>40,025,81</td>--}}
{{--                <td>--}}
{{--                    <span class="ar">الاجمالي</span>--}}
{{--                    <span class="en">Total</span>--}}
{{--                </td>--}}
{{--            </tr>--}}
            </tbody>
        </table>
        <div class="table_left">
            <table class="left">
                <thead>
                <tr>
                    <th colspan="2">بيانات المعاملة</th>

                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>{{ $data['master']->clearance_id ?? '' }}</td>
                    <td>
                        <span class="ar">رقم المعاملة</span>
                        <span class="en">Ser No</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ $data['master']->shipping_policy_no }}</td>
                    <td>
                        <span class="ar">رقم البوليصة</span>
                        <span class="en">Bill No</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ $data['containers'] ?? "-" }}</td>
                    <td>
                        <span class="ar">رقم الحاوية</span>
                        <span class="en">Cont. No</span>
                    </td>
                </tr>
                <tr>
                    <td>
                        @if($data['master']->container_small)
                            {{ $data['master']->container_small }}  <small> * 20</small>
                        @endif
                            @if($data['master']->container_big)
                                {{ $data['master']->container_big }}  <small> * 40</small>
                            @endif

                    <td>
                        <span class="ar">عدد الحاويات</span>
                        <span class="en"> Cont. Qty</span>
                    </td>
                </tr>
                <tr>
                    <td> {{ $data['master']->weight }}</td>
                    <td>
                        <span class="ar">الوزن</span>
                        <span class="en">Weight</span>
                    </td>
                </tr>
                <tr>
                    <td> {{ $data['master']->exporting_company }}</td>
                    <td>
                        <span class="ar">الشركة المصدرة</span>
                        <span class="en">Export Co</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ optional($data['master'])->customs_declaration_number }}</td>
                    <td>
                        <span class="ar">رقم البيان</span>
                        <span class="en">VAT Amount</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ optional($data['master'])->customs_declaration_date }}</td>
                    <td>
                        <span class="ar">تاريخ البيان</span>
                        <span class="en">Total Invoice with VAT</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ $data['master']->goods_type ?? '' }}</td>
                    <td>
                        <span class="ar">نوع البضاعة</span>
                        <span class="en">Goods Type</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ optional($data['master'])->arrival_date }}</td>
                    <td>
                        <span class="ar">تاريخ المستندات</span>
                        <span class="en">Brokerage Free</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ optional($data['master'])->mainfest_date_hijri }}</td>
                    <td>
                        <span class="ar">وصول الدمام</span>
                        <span class="en">Transporters</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ optional($data['master'])->unloading_date }}</td>
                    <td>
                        <span class="ar">وصول الرياض</span>
                        <span class="en">Labor Charges</span>
                    </td>
                </tr>
                <tr>
                    <td>{{ $data['master']->expiry_date ?? '' }}</td>
                    <td>
                        <span class="ar">تاريخ الانتهاء</span>
                        <span class="en">Expiry Date</span>
                    </td>
                </tr>
                @if(isset($data['banks']))
                    @foreach($data['banks'] as $row)
                        <tr class="banks">
                            <td  colspan="2">
                                <div>
                                    <span class="ar">{{$row->name}}</span>
                                    <span class="en">{{$row->iban}}</span>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                @endif

{{--                <tr class="banks">--}}
{{--                    <td  colspan="2">--}}
{{--                        <div>--}}
{{--                            <span class="ar">بنك الراجحي</span>--}}
{{--                            <span class="en">98765434567898765434567</span>--}}
{{--                        </div>--}}
{{--                    </td>--}}
{{--                </tr>--}}
{{--                <tr  class="banks">--}}
{{--                    <td colspan="2">--}}
{{--                        <div>--}}
{{--                            <span class="ar">بنك البلاد</span>--}}
{{--                            <span class="en">98765434567898765434567</span>--}}
{{--                        </div>--}}
{{--                    </td>--}}
{{--                </tr>--}}
                </tbody>
            </table>
            <div class="qr_code">
                <span>
                    <img src="{{ $data['qrcode'] }}" alt="barcode" style="width: 100%; height: 100%"  />
                </span>
            </div>
        </div>
    </section>

    <section class="bottom">
        <div class="total">
            <span>مبلغ وقدرة </span>
            <span>{{$data['tafqeet']}}</span>
            <span>The Sum Of</span>


        </div>
        <div class="signature">
            <div class="accountant">
                <div class="title">
                    <span class="ar">المحاسب</span>
                    <span class="en">Accountant</span>
                </div>
            </div>
            <div class="receiver">
                <div class="title">
                    <span class="ar">المستلم</span>
                    <span class="en">Receiver</span>
                </div>
            </div>
            <div class="manager">
                <div class="title">
                    <span class="ar">المدير</span>
                    <span class="en">Manager</span>
                </div>
            </div>
        </div>
    </section>
</section>
<footer>
    <div class="container">
{{--        <span>{!! $data['branch_data']->print_footer !!}</span>--}}
        <span class="email">E-mail: albarrak4cc@gmail.com</span> - <span class="mobile">Mobile : 050423455 </span> -  <span class="tel">Tel: 4790612 / 4727165 </span>
    </div>
</footer>
<script>
    window.onload = function() { window.print(); }
</script>
</body>
</html>
