@extends('Layouts.invoice')
@section('content')
<div class="main_div" style="padding: {{ $data['branch_data']->print_margin }};" >
    <header style="@if($data['branch_data']->print_header_active == 0 ) display:none; @endif">
        <table  class="table d" >
            <tr>
                <td width="25%">
                    {!! $data['branch_data']->print_label_ar !!}
                </td>
                <td width="50%">
                    <div class="logo_cont">
                        <img src="{{ ($data['logo']) }}" class="img-responsive" height="120" alt="Image" style="">
                    </div>
                </td>
                <td width="25%">
                    {!! $data['branch_data']->print_label_en !!}
                </td>
            </tr>
        </table>
    </header>
    <table style="@if($data['branch_data']->invoice_title_active == 0 ) display:none; @endif">
        <tr>
            <td></td>
            <td style="text-align:center">
                اشعار دائن للفاتورة الضريبية المبسطة
            </td>
            <td></td>
        </tr>
    </table>
    <table class="table table-hover table-bordered" id="selected_item_table">
        <thead>
{{--            <tr>--}}
{{--                <th rowspan="2">{{ trans('main.item') }}</th>--}}
{{--                <th rowspan="2">{{ trans('main.caliber') }}</th>--}}
{{--                <th colspan="5">القيمة من واقع فاتورة المبيعات</th>--}}
{{--                <th colspan="5">قيمة الاشعار</th>--}}
{{--            </tr>--}}
            <tr>
                <th>المنتج</th>
                <th>المخزن</th>
                <th>الوحدة</th>

                <th>الكمية</th>
                <th>السعر</th>
                <th>الإجمالي</th>

                <th>كمية الإشعار</th>
                <th>سعر الإشعار</th>
                <th>إجمالي سعر الإشعار</th>


            </tr>
        </thead>
        <tbody>
        @foreach($data['details'] as $row)
            <tr >
                <td>{{ $row->item_name}}</td>
                <td>{{ $row->warehouse_name}}</td>
                <td>{{ $row->unit_name}}</td>

                <td>{{ number_format( $row->old_quantity  , 2 , '.' , ',' ) }}</td>
                <td>{{ number_format( $row->old_price  , 2 , '.' , ',' ) }}</td>
                <td>{{ number_format($row->old_total_price , 2 , '.' , ',' ) }}</td>

                <td>{{ number_format( $row->new_quantity  , 2 , '.' , ',' ) }}</td>
                <td>{{ number_format( $row->new_price  , 2 , '.' , ',' ) }}</td>
                <td>{{ number_format($row->new_total_price , 2 , '.' , ',' ) }}</td>

            </tr>
        @endforeach

        </tbody>
    </table>
    <br>
    <table>
        <tr>
            <td rowspan="3" width="20%" style="background-color: #222E46 ;color: white;">
                {{ trans('main.total') }}
            </td>
            <td width="60%">{{ trans('main.total_without_vat') }}</td>
            <td width="20%">{{  number_format( collect($data['details'])->sum('new_price') , 2 , '.' , ',' )  }} {{ trans('main.sar') }}</td>
        </tr>
        <tr>
            <td width="60%">{{ trans('main.total_vat') }}</td>
            <td width="20%">{{  number_format(collect($data['details'])->sum('new_vat') , 2 , '.' , ',' )  }} {{ trans('main.sar') }}</td>
        </tr>
        <tr>
            <th width="60%">{{ trans('main.total_with_vat') }}</th>
            <th width="20%">{{  number_format( collect($data['details'])->sum('new_total_price'), 2 , '.' , ',' )  }} {{ trans('main.sar') }}</th>
        </tr>
    </table>
    <table>
        <tr>
            <td width="40%">
                <table class="table" border="0px" style="border: 0px">
                    @if(strlen($data['master']->customer_name) > 0)
                    <tr>
                        <th class="title no_border" width="100px" >اسم العميل </th>
                        <td class="no_border no_align"  >{{ $data['master']->customer_name }} </td>
                    </tr>
                    @endif
                    @if(strlen($data['master']->customer_phone) > 0)
                    <tr>
                        <th class="title no_border" width="100px">{{ trans('main.mobile') }}  </th>
                        <td class="no_border no_align" >{{ $data['master']->customer_phone }}</td>
                    </tr>
                    @endif
                    @if(strlen($data['master']->customer_vat_register_number) > 0 )
                    <tr>
                        <th class="title no_border" width="100px">{{ trans('main.vat_register_number') }}  </th>
                        <td class="no_border no_align">{{ $data['master']->customer_vat_register_number }}</td>
                    </tr>
                    @endif
                </table>
            </td>
            <td width="60%">
                <table class="table qrcode_table" border="0px" style="" >
                    <tr>
                        <td>
                            <table class="table" border="0px" style="" >
                                <tr>
                                    <th class="title no_border"  >رقم الاشعار الدائن </th>
                                    <td class="no_border no_align">{{ $data['master']->m_id }}</td>
                                </tr>
                                <tr>
                                    <th class="title no_border"  >التاريخ </th>
                                    <td class="no_border no_align" >{{ date("Y-m-d" , strtotime($data['master']->add_date)) }}</td>
                                </tr>
                                <tr>
                                    <th class="title no_border"  > فاتورة المبيعات المرتبطة </th>
                                    <td class="no_border no_align" >{{ $data['master']->sales_invoice_m_id }}</td>
                                </tr>
                            </table>
                        </td>
                        <td>
                             <div style="text-align:center;width: 120px;padding: 10px;background-color: white;">
                                <img src="{{ $data['qrcode'] }}" alt="barcode" style="width: 100%;"  />
                            </div>
                        </td>
                    </tr>

                    <tr>
                    </tr>
                </table>

            </td>
        </tr>
    </table>
    <footer style="@if($data['branch_data']->print_footer_active == 0 ) display:none; @endif">
        {!! $data['branch_data']->print_footer !!}
    </footer>
</div>
@endsection



