<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <style>
    * {
    box-sizing: border-box;
    padding-top: 0 !important;
    padding-bottom: 0px !important;
    }

    @media  screen {
    html {
        background: #5F6368;
    }
    .page-inner {
        background: white;
        width: 21cm;
        min-height: 29.7cm;
        margin: 0 auto !important;
    }
    }
    @font-face {
    font-family: NotoSansArabic-Regular, sans-serif !important;
    src: url("./fonts/NotoSansArabic-Regular.ttf");
    }
    @page  {
    size: A4 portrait;
    margin: 0 !important;
    }
    @media  print {
    tbody tr {
        -moz-column-break-inside: avoid;
            break-inside: avoid;
    }
    .heightMm {
        height: 10mm !important;
    }
    .footer {
        position: fixed;
        bottom: 0px;
    }
    }
    body {
    font-family: NotoSansArabic-Regular, sans-serif !important;
    display: flex;
    justify-content: center;
    margin: 0px !important;
    padding: 0px !important;
    border: 0px;
    font-size: 16px !important;
    }
    body .A4 {
    width: 100%;
    margin: 0px auto;
    padding: 0px;
    border: 0px;
    }
    body .A4 .date-time {
    font-size: 13px;
    margin: 0 5px;
    }
    body .A4 .main_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: -10px;
    }
    body .A4 .main_header .en_content {
    text-align: start;
    width: 35%;
    }
    body .A4 .main_header .en_content h3 {
        font-size: 14px !important;
    }
    body .A4 .main_header .ar_content {
    text-align: end;
    width: 35%;
    }
    body .A4 .main_header .ar_content h3 {
        font-size: 14px !important;
    }
    body .A4 .main_header p {
    font-size: 13px;
    padding: 0;
    margin: 5px;
    }
    body .A4 .main_header h1 {
    background-color: #E6E6E6;
    border: 1px solid #000;
    text-align: center;
    display: inline-block;
    padding: 10px 50px;
    margin: 15px 0 5px 0;
    }
    body .A4 .header {
    text-align: center;
    }
    body .A4 .header .header-table {
    direction: rtl;
    }
    body .A4 .header .header-table div {
    font-weight: 900;
    font-size: 12px !important;
    }
    body .A4 .header .header-table tr td {
    text-align: start;
    }
    body .A4 .parent_td {
    border: 1px solid white !important;
    }
    body .A4 table {
    border-collapse: collapse;
    width: 100%;
    margin: 0px auto;
    text-align: center;
    }
    body .A4 table th {
    background-color: #E6E6E6;
    }
    body .A4 table th,
    body .A4 table td {
    border: 1px solid #000;
    padding: 8px;
    text-align: start;
    }
    body .A4 .tBody {
    direction: rtl;
    }
    body .A4 .tBody .employee-signature {
    display: flex;
    justify-content: space-between;
    padding: 0 5rem;
    text-align: center;
    }
    body .A4 .tBody .employee-signature h5 {
    margin-bottom: -8px;
    margin-top: 5px;
    }
    body s .footer {
    width: 100%;
    margin: 0px auto;
    text-align: center;
    }/*# sourceMappingURL=style.css.map */
</style>
</head>
<body>
  <section class="A4">
    <div class="page-inner">
      <!-- Header -->
      <table class="top">
        <!-- header -->
        <thead>
          <tr>
            <td class="parent_td">
                <section class="main_header">
                    <div class="en_content">
                      <?php echo $data['branch_data']->print_label_en ?? ''; ?>

                      
                      
                    </div>
                    <div>
                      <h1>تقرير حركة معاملة</h1>
                    </div>
                    <div class="ar_content">
                        <?php echo $data['branch_data']->print_label_ar ?? ''; ?>

                      
                    </div>

                </section>
              <section class="header">
                <h1>تقرير حركة معاملة</h1>
                <table class="header-table">
                  <tr>
                    <td width="25%">
                      <div> <span>رقم المعاملة :</span> <span><?php echo e($data['clearance']->id); ?></span> </div>
                    </td>
                    <td width="35%">
                      <div> <span>رقم العميل :</span> <span><?php echo e($data['clearance']->customer_id); ?></span> </div>
                      <div> <span>رقم المالك :</span> <span><?php echo e($data['clearance']->owner_id); ?></span> </div>
                    </td>
                    <td width="40%">
                      <div> <span>اسم العميل :</span> <span><?php echo e($data['clearance']->customer_name); ?></span> </div>
                      <div> <span>اسم المندوب :</span> <span><?php echo e($data['clearance']->delegate_name); ?></span> </div>
                    </td>
                  </tr>
                  <tr>
                    <td width="25%">
                      <div> <span>رقم البوليصة :</span> <span><?php echo e($data['clearance']->shipping_policy_no); ?></span> </div>
                    </td>
                    <td width="35%">
                      <div> <span>تاريخ المعاملة :</span> <span><?php echo e($data['clearance']->action_date); ?></span> </div>
                    </td>
                    <td width="40%">
                      <div> <span>تاريخ الوصول :</span> <span><?php echo e($data['clearance']->arrival_date); ?></span> </div>
                    </td>
                  </tr>
                  <tr>
                    <td width="25%">
                      <div> <span>رقم البيان :</span> <span><?php echo e($data['clearance']->customs_declaration_number); ?></span> </div>
                    </td>
                    <td width="35%">
                      <div> <span>تاريخ البيان :</span> <span><?php echo e($data['clearance']->customs_declaration_date); ?></span> </div>
                    </td>
                    <td width="40%">
                      <div> <span>عدد الطرود :</span> <span><?php echo e($data['clearance']->container_count); ?></span> </div>
                    </td>
                  </tr>
                  <tr>
                    <td width="25%">
                      <div> <span>رقم اذن التسليم :</span> <span><?php echo e($data['clearance']->delivery_permission_no); ?></span> </div>
                    </td>
                    <td width="35%">
                      <div> <span>ت سحب الإذن :</span> <span><?php echo e($data['clearance']->Withdraw_permission_date); ?></span> </div>
                    </td>
                    <td width="40%">
                      <div> <span>تاريخ السداد :</span> <span><?php echo e($data['clearance']->payment_date); ?></span> </div>
                    </td>
                  </tr>
                </table>
              </section>

            </td>
          </tr>
        </thead>

        <!-- body -->
        <tbody class="tBody">
          <tr>
            <td class="parent_td">
              <table>
                <thead>
                  <tr>
                    <th>رقم الاجراء</th>
                    <th>اسم الاجراء</th>
                    <th>ت الإجراء هـ</th>
                    <th>ت الإجراء من</th>
                    <th>وقت الإدخال</th>
                    <th>تاريخ الإدخال</th>
                    <th>اسم المستخدم</th>
                    <th>ملاحظات</th>
                  </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $data['actions']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($row->action_id); ?></td>
                            <td><?php echo e($row->status_name); ?></td>
                            <td><?php echo e($row->hijri_date); ?></td>
                            <td><?php echo e($row->add_date); ?></td>
                            <td><?php echo e($row->insert_time); ?></td>
                            <td><?php echo e($row->insert_date); ?></td>
                            <td><?php echo e($row->added_by); ?></td>
                            <td><?php echo e($row->note); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </tbody>
              </table>
            </td>
          </tr>
          <tr>
            <td class="parent_td">
              <div  class="employee-signature">
                <section>
                  <h5>اعداد الموظف</h5>
                  <h5>.......................</h5>
                  <h5>.......................</h5>
                  <h5>.......................</h5>
                </section>
                <section>
                  <h5>اعداد الموظف</h5>
                  <h5>.......................</h5>
                  <h5>.......................</h5>
                  <h5>.......................</h5>
                </section>
              </div>
            </td>
          </tr>
        </tbody>

        <tfoot>
          <tr>
            <td class="heightMm parent_td">
              <!-- Adjust height as needed to compensate for footer -->
            </td>
          </tr>
        </tfoot>
      </table>

      <!-- Footer [ ADD FOOTER CONTENT HERE ]-->
      <div class="footer">

      </div>
    </div>
  </section>
    <script>
        window.onload = function() { window.print(); }
    </script>
</body>

</html>
<?php /**PATH /home/cstesting/public_html/customs/api/resources/views/Print/reports/clearance_transactions.blade.php ENDPATH**/ ?>