<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <style>
    * {
      box-sizing: border-box;
      padding-top: 0 !important;
      padding-bottom: 0px !important;
    }

    @media  screen {
      html {
        background: #5F6368;
      }

      .page-inner {
        position: relative !important;
        background: white;
        width: 21.5cm;
        min-height: 28cm !important;
        margin: 0 auto !important;
        padding: 0 0.8rem !important;
      }

      .footer {
        position: absolute !important;
        bottom: 0px;
      }

      .heightMm {
        height: 69mm !important;
      }

      .text-left {
        text-align: left !important;
      }

      .text-center {
        text-align: center !important;
      }

      .text-left {
        text-align: right !important;
      }

      .flex-between {
        display: flex !important;
        justify-content: space-between !important;
        width: 100% !important;
        margin-top: 5px !important;
        padding: 0 15px;
      }
    }

    @font-face {
      font-family: NotoKufiArabic-Regular, sans-serif !important;
      src: url("./fonts/NotoKufiArabic-Regular.ttf");
    }

    @page  {
      size: A4 portrait;
      margin: default !important;
    }

    @media  print {
      .page-inner {
        padding: 0 0.8rem !important;
      }

      .heightMm {
        height: 50mm !important;
      }

      .footer {
        position: fixed !important;
        bottom: 0 !important;
      }
    }

    body {
      font-family: NotoKufiArabic-Regular, sans-serif;
      display: flex;
      justify-content: center;
      margin: 0px !important;
      padding: 0px !important;
      border: 0px;
      font-size: 11px;
    }

    body .A4 {
      width: 100%;
      margin: 0px auto;
      padding: 0px;
      border: 0px;
    }

    body .A4 .header {
      margin-bottom: 0.5rem !important;
      direction: ltr;
    }

    body .A4 .header .serial_header {
      display: flex;
      justify-content: space-evenly;
    }

    body .A4 .header .main_contenet {
      display: flex;
      justify-content: space-between;
      align-items: center;
      line-height: 0.6;
    }

    body .A4 .header .main_contenet h1 {
      color: #4D617D;
      word-spacing: -2px;
    }

    body .A4 .header .main_contenet h5 {
      /* color: #4D617D; */
    }

    body .A4 .header .main_contenet p {
      /* color: #696C73; */
    }

    body .A4 .header .main_contenet .logo {
      margin-top: 0.3rem;
      display: flex;
      flex-direction: column;
      align-items: center;
    }

    body .A4 .header .main_contenet .logo .vat_invoice p {
      color: #100c0b !important;
      font-size: 14px;
      font-weight: bold;
      text-decoration: underline;
    }

    body .A4 .header .main_contenet .logo .vat_invoice .en_title_inv {
      margin-right: 15px;
    }

    body .A4 .header .main_contenet .en_content {
      width: 40%;
    }

    body .A4 .header .main_contenet .en_content h1 {
      font-size: 15px;
      word-spacing: -2px;
      color: #3c3c3c;
    }

    body .A4 .header .main_contenet .en_content h2 {
      color: #698591;
      line-height: 1.1;
    }

    body .A4 .header .main_contenet .ar_content {

      width: 40%;
    }

    body .A4 .header .main_contenet .ar_content h1 {
      font-size: 15px;
      color: #3c3c3c;
    }

    body .A4 .header .main_contenet .ar_content h2 {
      color: #698591;
    }

    body .A4 .header .main_contenet div {
      text-align: center;
    }

    body .A4 .header .main_contenet div h5 {
      font-size: 14px;
    }

    body .A4 .header .main_contenet div p {
      font-size: 10px;
      padding: 0;
      margin: 3px;
      font-weight: 600;
    }

    .more_details {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .more_details .account_container .awb,
    .more_details .account_container .account {
      display: flex;
      align-items: center;
      justify-content: space-between;
    }

    .more_details .account_container .account span {
      display: flex;
      width: 50%;
      height: 24px;
      border-bottom: 0.2px solid black;
      align-items: center;
      justify-content: center;
    }

    .more_details .account_container .account span:not(:last-child) {
      border-left: 0.2px solid black;
    }

    .more_details .account_container .awb span {
      display: flex;
      width: 50%;
      height: 24px;
      align-items: center;
      justify-content: center;
    }

    .more_details .name_vat_container {
      border: 0.2px solid black;
      width: 40%;
    }

    .more_details .name_vat_container .name {
      padding: 15px;
      border-bottom: 0.2px solid black;
      height: 24px;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .more_details .name_vat_container .vat {
      padding: 15px;
      height: 24px;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
    }

    .more_details .account_container {
      border: 0.2px solid black;
      width: 40%;
    }

    .company_info .date_bayan_port {
      border: 0.2px solid black;
      height: 24px;
      margin-top: 6px;
    }

    .company_info .date_bayan_port table {
      height: 72%;
      margin: 4px auto;
      width: 99%;
    }

    .company_info .date_bayan_port table td:nth-child(even) {
      border: 0.2px solid black;
    }

    .company_info .company_name {
      border: 0.2px solid black;
      height: 60px;
      margin-top: 6px;
    }

    .company_info .company_name table {
      /* min-height:40%;
      max-height: 100%; */
      height: 100%;
    }

    .company_info .company_name table tr:nth-child(1) {
      border-bottom: 0.2px solid black;
    }

    .company_info .company_name table td:nth-child(2) {
      width: 70%;
    }

    .company_info .company_name table td:nth-child(even) {
      border-right: 0.2px solid black;
    }

    .company_info .invoice_info {
      margin: 6px 0;
    }

    .company_info .invoice_info table td {
      border: 0.2px solid black;
      width: 50px;
    }

    .total_footer table {
      border: 1px solid #000;
      margin-top: 3px !important;
    }

    .total_footer table tr td:nth-child(3) {
      text-align: end;
      padding: 0 5px;
    }

    .total_footer table tr td:nth-child(2) {
      border-right: 1px solid #000;
    }

    .total_footer table tr td:nth-child(1) {
      width: 110px;
    }

    .total_footer table tr:last-child td:not(:first-child) span {
      border: 1px solid black;
      display: inline-block;
      width: 80%;
      margin: 1px 0;
    }

    .total_footer table tr .amount span {
      border: 1px solid black;
      display: inline-block;
      width: 80%;
      margin: 1px 0;
    }

    /* .total_footer table td {
      border: 1px solid #000;
    } */

    .amount-summary {
      display: grid;
      grid-template-columns: 2fr 1fr;
      gap: 10px;
      margin-bottom: 20px;
    }

    .amount-box {
      border: 1px solid #000;
      padding: 5px;
      text-align: right;
    }

    .bank-details {
      border: 1px solid #000;
      padding: 10px;
      margin-bottom: 20px;
      text-align: end;
      position: relative;
      z-index: 1;
    }

    .bank-details .qr_img {
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
      height: 99%;
      width: 103px;
    }

    .signature-section {
      display: flex;
      justify-content: space-around;
      margin: 20px 0;
      padding: 10px 0;
    }

    .footer-container {
      font-family: Arial, sans-serif;
      max-width: 1200px;
      margin: 0 auto;
      padding: 20px;
    }


    .footer-content {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding-bottom: 20px !important;
      position: relative;
    }

    .footer-content::before{
      content: '';
      position: absolute;
      bottom: 0;
      transform: translateX(-50%);
      left: 50%;
      width: 412px;
      height: 17px;
      background: #7BA7BC;
      border-radius: 5028px 5028px 0 0;
    }


    .footer-item {
      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
      flex: 1;
      padding: 0 15px;
      position: relative;
    }

    .footer-item:not(:first-child) ::before {
      content: '';
      position: absolute;
      top: 50%;
      left: 0;
      width: 1px;
      height: 70%;
      background: #35343473;
      transform: translateY(-50%);
    }


    .footer-item .icon {
      width: 24px;
      height: 24px;
      margin-bottom: 2px;
      color: #343534;
    }

    .primary-text {
      color: #333;
      font-size: 14px;
      margin: 2px 0;
      font-size: 7px;
      font-weight: bold;
    }

    .secondary-text {
      color: #7BA7BC;
      font-size: 12px;
      margin: 2px 0;
      font-size: 7px;
      font-weight: bold;
    }

    .arabic-text {
      direction: rtl;
      unicode-bidi: bidi-override;
    }

    body .A4 .parent_td {
      border: 1px solid white !important;
    }

    body .A4 table {
      border-collapse: collapse;
      width: 100%;
      margin: 0px auto;
      font-weight: bold;
      text-align: center;
      direction: rtl;
      font-size: 9px;
    }

    body .A4 table #main_table {
    padding-bottom: 500px !important;
    }

    body .A4 table .table_main_head {
      margin-top: 2rem;
      border: 1px solid black;
      border-radius: 6px !important;
    }

    body .A4 table .table_main_head th {
      border: 1px solid black;
    }

    body .A4 table .main_body {
      border: 1px solid black;
      border-radius: 6px !important;
    }

    /* .tBody .parent_td table{
      z-index: 999;
      position: relative;
    } */

    /* body .A4 table .main_body tr:nth-child(7n + 8) {
      page-break-before: always;
    }  */

    body .A4 table .main_body td {
      border-left: 1px solid black;
      border-right: 1px solid black;
      border-bottom: none !important;
      padding-top: 6px !important;
      padding-bottom: 2px !important;
      text-align: center;
    }

    body .A4 table .main_body th,
    body .A4 table .main_body td {
      padding: 8px !important;
    }

    body .footer {
      width: 97%;
      padding-bottom: 10px !important;
    }

    body .footer .content {
      display: flex;
      justify-content: space-between !important;
      width: 100%;
      color: #465366;
    }

    body .footer .content .qr_code {
      width: 20% !important;
      display: flex;
      justify-content: center;
    }

    body .footer .content div {
      width: 40% !important;
    }

    body .footer .content .left_content {
      border: 1px solid #DC9181;
      box-shadow: 3px 3px 1px 0px #DC9181;
      border-radius: 6px;
    }

    body .footer .content .rigth_content,
    body .footer .content .left_content {
      border: 1px solid #DC9181;
      box-shadow: 3px 3px 1px 0px #DC9181;
      border-radius: 6px;
      padding: 5px 5px !important;
    }

    body .footer .content .rigth_content div,
    body .footer .content .left_content div {
      display: flex !important;
      width: 100% !important;
      border-bottom: 1px dotted #AAA;
    }

    body .footer .content .rigth_content div .ar_Received,
    body .footer .content .left_content div .ar_Received {
      display: flex;
      justify-content: end;
    }

    body .footer .more-details {
      color: #465366;
      text-align: center;
      padding-top: 5px !important;
      font-size: 10px;
    }

    body .footer .more-details p {
      margin: 6px !important;
    }

    /*# sourceMappingURL=style.css.map */

  </style>
</head>

<body>
  <section class="A4">
    <div class="page-inner">
      <!-- Header -->
      <table class="top">
        <!-- header -->
        <thead class="thead">
          <tr>
            <td class="parent_td">
              <section class="header">
                <section class="main_contenet">
                  <div class="en_content">
                    <?php echo $data['branch_data']->print_label_en ?? ''; ?>


                    
                  </div>
                  <div class="logo">
                    <img src="<?php echo e(($data['logo'])); ?>" alt="logo" width="130">
                    <div class="vat_invoice">
                      <p>Invoice</p>
                    </div>
                  </div>
                  <div class="ar_content">
                    <?php echo $data['branch_data']->print_label_ar ?? ''; ?>


                    
                  </div>
                </section>
              </section>
            </td>
          </tr>
        </thead>

        <!-- body -->
        <tbody class="tBody">
          <tr>
            <td class="parent_td">
              <div>
                <section class="more_details">

                  <div class="account_container">
                    <div class="account">
                      <span><?php echo e($data['master']->customer_account_tree_id ?? ''); ?></span>
                      <span>.:Account No</span>
                    </div>

                    <div class="awb">
                      <span><?php echo e($data['master']->shipping_policy_no ?? ''); ?></span>
                      <span>AWB/BL</span>
                    </div>
                  </div>
                  <div class="name_vat_container">
                    <div class="name">Name: <span>License NO: <?php echo e($data['master']->clearance_id); ?></span></div>

                    <div class="vat">
                      <div>Vat NO <span><?php echo e($data['master']->vat_register_number); ?></span></div>
                      <div>Aujah Vat No <span>300670767100003</span></div>
                    </div>
                  </div>


                </section>

                <section class="company_info">
                  <div class="date_bayan_port">
                    <table>
                      <tr>
                        <td>Port Branch:</td>
                        <td><?php echo e($data['master']->port_name ?? ''); ?></td>
                        <td>Bayan No.:</td>
                        <td><?php echo e($data['master']->customs_declaration_number); ?></td>
                        <td>Date:</td>
                        <td><?php echo e($data['master']->invoice_date); ?></td>
                      </tr>
                    </table>
                  </div>

                  <div class="company_name">
                    <table>
                      <tr>
                        <td>Gentelman</td>
                        <td><?php echo e($data['master']->customer_name); ?></td>
                      </tr>
                      <tr>
                        <td>Consignee</td>
                        <td><?php echo e($data['master']->customer_name); ?></td>
                      </tr>
                    </table>
                  </div>

                  <div class="invoice_info">
                    <table>
                      <tr>
                        <td>Tracking No</td>
                        <td></td>
                        <td>.:No of Pcs</td>
                        <td>
                            <?php if($data['master']->container_small > 0 ): ?>
                                <?php echo e($data['master']->container_small); ?> * 20
                                <br>
                            <?php endif; ?>
                            <?php if($data['master']->container_big > 0 ): ?>
                                <?php echo e($data['master']->container_big); ?> * 40
                            <?php endif; ?>
                        </td>
                        <td>Invoice No</td>
                        <td><?php echo e($data['master']->id); ?></td>
                      </tr>
                      <tr>
                        <td>Goods:</td>
                        <td><?php echo e($data['master']->goods_type); ?></td>
                        <td>Weight</td>
                        <td><?php echo e($data['master']->weight); ?></td>
                        <td>Date</td>
                        <td><?php echo e($data['master']->invoice_date); ?></td>
                      </tr>
                    </table>
                  </div>
                </section>
              </div>

              <!-- MAIN TABLE -->
              <table id="main_table">
                <thead class="table_main_head">
                  <tr>
                    <th>
                      Amount <br />
                      السعر شامل الضريبة
                    </th>
                    <th>
                      Vat <br />
                      الضريبة
                    </th>
                    <th>
                      Price <br />
                      السعر غير شامل الضريبة
                    </th>
                    <th width="50%">
                      Description البيان
                    </th>
                    <th>
                      Item code <br />
                      رقم الصنف
                    </th>
                    <th>
                      Serial <br />
                      الرقم المسلسل
                    </th>
                  </tr>
                </thead>
                <tbody class="main_body">
                <?php if(isset($data['delegate_details'])): ?>
                    <?php $__currentLoopData = $data['delegate_details']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($row->amount != 0): ?> 
                            <tr>
                                <td>
                                    <?php if(number_format($row->amount , 2 , '.' , ',') == 0): ?>
                                        -
                                    <?php else: ?>
                                        <?php echo e(number_format($row->amount , 2 , '.' , ',')); ?>

                                    <?php endif; ?>
                                </td>
                                <td>-</td>
                                <td><?php echo e($row->amount == 0 ? "-" : number_format($row->amount , 2 )); ?></td>
                                <td><?php echo e($row->name_ar); ?> - <?php echo e($row->name_en); ?></td>
                                <td><?php echo e($row->d_id); ?></td>
                                <td><?php echo e($key + 1); ?></td>
                            </tr>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
                <?php if(isset($data['details'])): ?>
                    <?php $__currentLoopData = $data['details']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($row->amount_with_vat != 0): ?> 
                            <tr>
                                <td>
                                    <?php if(number_format($row->amount_with_vat , 2 , '.' , ',') == 0): ?>
                                        -
                                    <?php else: ?>
                                        <?php echo e(number_format($row->amount_with_vat , 2 , '.' , ',')); ?>

                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($row->vat_amount == 0 ? "-" : number_format($row->vat_amount , 2 )); ?></td>
                                <td><?php echo e($row->amount_without_vat == 0 ? "-" : number_format($row->amount_without_vat , 2 )); ?></td>
                                <td><?php echo e($row->name_ar); ?> - <?php echo e($row->name_en); ?></td>
                                <td><?php echo e($row->clearance_invoices_d_id); ?></td>
                                <td><?php echo e($key + 1); ?></td>
                            </tr>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>

                </tbody>
              </table>
            </td>
          </tr>

          <tr>
            <td class="parent_td">
              <section class="total_footer">
                <table>
                  <tr>
                    <td class="amount"><span><?php echo e(number_format(( $data['details']->sum('amount_without_vat') + $data['delegate_details']->sum('amount') ) , 2 , '.' ,',' )); ?></span></td>
                    <td colspan="4"></td>
                    <td>Amount before Discount</td>

                  </tr>
                  <tr>
                    <td class="amount"><span>0.00</span></td>
                    <td colspan="4"></td>
                    <td>Global DiscountAmount_label</td>

                  </tr>
                  <tr>
                    <td class="amount"><span><?php echo e(number_format(( $data['details']->sum('vat_amount') ) , 2 , '.' ,',' )); ?></span></td>
                    <td colspan="4"></td>
                    <td>Item Taxi Total label 15%</td>

                  </tr>
                  <tr>
                    <td class="amount"><span><?php echo e(number_format(( $data['details']->sum('amount_without_vat') + $data['delegate_details']->sum('amount') ) , 2 , '.' ,',' )); ?></span></td>
                    <td colspan="4"><span><?php echo e($data['tafqeet']); ?></span></td>
                    <td><span>Net Amount</span></td>
                  </tr>
                </table>
              </section>
            </td>
          </tr>

          <!-- totals footer -->
        </tbody>
        <tfoot>
          <tr>
            <td class="heightMm parent_td">
              <!-- Adjust height as needed to compensate for footer -->
            </td>
          </tr>
        </tfoot>
      </table>

      <!-- Footer [ ADD FOOTER CONTENT HERE ]-->
      <div class="footer">
        <table>
          <tr>
            <td>
              <div class="signature-section">
                <div>
                  <div>Accountant</div>
                  <div>_________________</div>
                </div>
                <div>
                  <div>Received by</div>
                  <div>_________________</div>
                </div>
              </div>
            </td>
          </tr>
          <tr>
            <td class="parent_td">
              <section class="total_footer">
                <div class="bank-details">
                  <p>AUJAH ALKHALEEJ CUSTOMS CLEARANCE EST</p>
                  <p>RIYAD BANK</p>
                  <p>ACCOUNT NUMBER: 2580300579940</p>
                  <p>IBAN: SA4820000025803006579940</p>
                  <p>SWIFT CODE: RIBLSARI</p>

                  <img class="qr_img" src="<?php echo e($data['qrcode']); ?>" alt="">
                </div>
              </section>
            </td>
          </tr>
        </table>

        <div class="footer-container">
          <div class="footer-content">
            <div class="footer-item">
              <svg class="icon" viewBox="0 0 24 24">
                <path fill="currentColor"
                  d="M20,4H4C2.9,4,2,4.9,2,6v12c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V6C22,4.9,21.1,4,20,4z M20,8l-8,5L4,8V6l8,5l8-5V8z" />
              </svg>
              <div class="primary-text">INFO@ALHRBI.COM</div>
              <div class="secondary-text">RAKANALHBI@OUTLOOK.COM</div>
            </div>
            <div class="footer-item">
              <svg class="icon" viewBox="0 0 24 24">
                <path fill="currentColor"
                  d="M20,15.5C18.8,15.5 17.5,15.3 16.4,14.9C16.3,14.9 16.2,14.9 16.1,14.9C15.8,14.9 15.6,15 15.4,15.2L13.2,17.4C10.4,15.9 8,13.6 6.6,10.8L8.8,8.6C9.1,8.3 9.2,7.9 9,7.6C8.7,6.5 8.5,5.2 8.5,4C8.5,3.5 8,3 7.5,3H4C3.5,3 3,3.5 3,4C3,13.4 10.6,21 20,21C20.5,21 21,20.5 21,20V16.5C21,16 20.5,15.5 20,15.5M5,5H6.5C6.6,5.9 6.8,6.8 7,7.6L5.8,8.8C5.4,7.6 5.1,6.3 5,5M19,19C17.7,18.9 16.4,18.6 15.2,18.2L16.4,17C17.2,17.2 18.1,17.4 19,17.4V19Z" />
              </svg>
              <div class="primary-text">8001244088 - +966112464477</div>
              <div class="secondary-text">8001244088 - +966112464477</div>
            </div>
            <div class="footer-item">
              <svg class="icon" viewBox="0 0 24 24">
                <path fill="currentColor"
                  d="M14,2H6A2,2 0 0,0 4,4V20A2,2 0 0,0 6,22H18A2,2 0 0,0 20,20V8L14,2M18,20H6V4H13V9H18V20Z" />
              </svg>
              <div class="primary-text">س.ت : 1010377649</div>
              <div class="secondary-text">CR: 1010377649</div>
            </div>
            <div class="footer-item">
              <svg class="icon" viewBox="0 0 24 24">
                <path fill="currentColor"
                  d="M12,11.5A2.5,2.5 0 0,1 9.5,9A2.5,2.5 0 0,1 12,6.5A2.5,2.5 0 0,1 14.5,9A2.5,2.5 0 0,1 12,11.5M12,2A7,7 0 0,0 5,9C5,14.25 12,22 12,22C12,22 19,14.25 19,9A7,7 0 0,0 12,2Z" />
              </svg>
              <div class="primary-text arabic-text">المملكة العربية السعودية - الرياض - جدة - الدمام</div>
              <div class="secondary-text">SAUDI ARABIA - RIYADH - JEDDAH - DAMMAM</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

</body>
<script>
    document.addEventListener("DOMContentLoaded", function () {
    const mainBody = document.querySelector(".A4 table .main_body");
    if (!mainBody) return;

    let rows = mainBody.querySelectorAll("tr").length;
    let columns = mainBody.querySelector("tr") ? mainBody.querySelector("tr").children.length : 6; // Default to 6 columns

    while (rows < 20) {
        let newRow = document.createElement("tr");
        for (let i = 0; i < columns; i++) {
        let newCell = document.createElement("td");
        if (i === columns - 1) {
            // newCell.textContent = rows + 1; // Serial column
        }
        newRow.appendChild(newCell);
        }
        mainBody.appendChild(newRow);
        rows++;
    }
    });
    window.onload = function() { window.print(); }
</script>
</html>
<?php /**PATH /home/cstesting/public_html/customs/api/resources/views/Print/clearance/invoice/redux.blade.php ENDPATH**/ ?>